bug-tar
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Bug-tar] Can't build tar ver 1.20 on mingw


From: Vincent Belaïche
Subject: [Bug-tar] Can't build tar ver 1.20 on mingw
Date: Tue, 26 Aug 2008 08:13:58 +0200
User-agent: Thunderbird 2.0.0.16 (Windows/20080708)

Hello,

I downloaded GNU tar version 1.20 and I trie to make it under Mingw on MS Windows2000.

./configure is successful (hereinattach config.status) ; but when I launch `make install', I get some compile error attached in make.output file.

VBR,
  Vincent Belaïche.



#! /bin/sh
# Generated by configure.
# Run this file to recreate the current configuration.
# Compiler output produced by configure, useful for debugging
# configure, is in config.log if it exists.

debug=false
ac_cs_recheck=false
ac_cs_silent=false
SHELL=${CONFIG_SHELL-/bin/sh}
## --------------------- ##
## M4sh Initialization.  ##
## --------------------- ##

# Be more Bourne compatible
DUALCASE=1; export DUALCASE # for MKS sh
if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
  emulate sh
  NULLCMD=:
  # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
  # is contrary to our usage.  Disable this feature.
  alias -g '${1+"$@"}'='"$@"'
  setopt NO_GLOB_SUBST
else
  case `(set -o) 2>/dev/null` in
  *posix*) set -o posix ;;
esac

fi




# PATH needs CR
# Avoid depending upon Character Ranges.
as_cr_letters='abcdefghijklmnopqrstuvwxyz'
as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
as_cr_Letters=$as_cr_letters$as_cr_LETTERS
as_cr_digits='0123456789'
as_cr_alnum=$as_cr_Letters$as_cr_digits

# The user is always right.
if test "${PATH_SEPARATOR+set}" != set; then
  echo "#! /bin/sh" >conf$$.sh
  echo  "exit 0"   >>conf$$.sh
  chmod +x conf$$.sh
  if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
    PATH_SEPARATOR=';'
  else
    PATH_SEPARATOR=:
  fi
  rm -f conf$$.sh
fi

# Support unset when possible.
if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
  as_unset=unset
else
  as_unset=false
fi


# IFS
# We need space, tab and new line, in precisely that order.  Quoting is
# there to prevent editors from complaining about space-tab.
# (If _AS_PATH_WALK were called with IFS unset, it would disable word
# splitting by setting IFS to empty value.)
as_nl='
'
IFS=" ""        $as_nl"

# Find who we are.  Look in the path if we contain no directory separator.
case $0 in
  *[\\/]* ) as_myself=$0 ;;
  *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
  test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
done
IFS=$as_save_IFS

     ;;
esac
# We did not find ourselves, most probably we were run as `sh COMMAND'
# in which case we are not to be found in the path.
if test "x$as_myself" = x; then
  as_myself=$0
fi
if test ! -f "$as_myself"; then
  echo "$as_myself: error: cannot find myself; rerun with an absolute file 
name" >&2
  { (exit 1); exit 1; }
fi

# Work around bugs in pre-3.0 UWIN ksh.
for as_var in ENV MAIL MAILPATH
do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
done
PS1='$ '
PS2='> '
PS4='+ '

# NLS nuisances.
for as_var in \
  LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
  LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
  LC_TELEPHONE LC_TIME
do
  if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
    eval $as_var=C; export $as_var
  else
    ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
  fi
done

# Required to use basename.
if expr a : '\(a\)' >/dev/null 2>&1 &&
   test "X`expr 00001 : '.*\(...\)'`" = X001; then
  as_expr=expr
else
  as_expr=false
fi

if (basename -- /) >/dev/null 2>&1 && test "X`basename -- / 2>&1`" = "X/"; then
  as_basename=basename
else
  as_basename=false
fi


# Name of the executable.
as_me=`$as_basename -- "$0" ||
$as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
         X"$0" : 'X\(//\)$' \| \
         X"$0" : 'X\(/\)' \| . 2>/dev/null ||
echo X/"$0" |
    sed '/^.*\/\([^/][^/]*\)\/*$/{
            s//\1/
            q
          }
          /^X\/\(\/\/\)$/{
            s//\1/
            q
          }
          /^X\/\(\/\).*/{
            s//\1/
            q
          }
          s/.*/./; q'`

# CDPATH.
$as_unset CDPATH



  as_lineno_1=$LINENO
  as_lineno_2=$LINENO
  test "x$as_lineno_1" != "x$as_lineno_2" &&
  test "x`expr $as_lineno_1 + 1`" = "x$as_lineno_2" || {

  # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
  # uniformly replaced by the line number.  The first 'sed' inserts a
  # line-number line after each line using $LINENO; the second 'sed'
  # does the real work.  The second script uses 'N' to pair each
  # line-number line with the line containing $LINENO, and appends
  # trailing '-' during substitution so that $LINENO is not a special
  # case at line end.
  # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
  # scripts with optimization help from Paolo Bonzini.  Blame Lee
  # E. McMahon (1931-1989) for sed's syntax.  :-)
  sed -n '
    p
    /[$]LINENO/=
  ' <$as_myself |
    sed '
      s/[$]LINENO.*/&-/
      t lineno
      b
      :lineno
      N
      :loop
      s/[$]LINENO\([^'$as_cr_alnum'_].*\n\)\(.*\)/\2\1\2/
      t loop
      s/-\n.*//
    ' >$as_me.lineno &&
  chmod +x "$as_me.lineno" ||
    { echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX 
shell" >&2
   { (exit 1); exit 1; }; }

  # Don't try to exec as it changes $[0], causing all sort of problems
  # (the dirname of $[0] is not the place where we might find the
  # original and so on.  Autoconf is especially sensitive to this).
  . "./$as_me.lineno"
  # Exit status is that of the last command.
  exit
}


if (as_dir=`dirname -- /` && test "X$as_dir" = X/) >/dev/null 2>&1; then
  as_dirname=dirname
else
  as_dirname=false
fi

ECHO_C= ECHO_N= ECHO_T=
case `echo -n x` in
-n*)
  case `echo 'x\c'` in
  *c*) ECHO_T=' ';;     # ECHO_T is single tab character.
  *)   ECHO_C='\c';;
  esac;;
*)
  ECHO_N='-n';;
esac

if expr a : '\(a\)' >/dev/null 2>&1 &&
   test "X`expr 00001 : '.*\(...\)'`" = X001; then
  as_expr=expr
else
  as_expr=false
fi

rm -f conf$$ conf$$.exe conf$$.file
if test -d conf$$.dir; then
  rm -f conf$$.dir/conf$$.file
else
  rm -f conf$$.dir
  mkdir conf$$.dir
fi
echo >conf$$.file
if ln -s conf$$.file conf$$ 2>/dev/null; then
  as_ln_s='ln -s'
  # ... but there are two gotchas:
  # 1) On MSYS, both `ln -s file dir' and `ln file dir' fail.
  # 2) DJGPP < 2.04 has no symlinks; `ln -s' creates a wrapper executable.
  # In both cases, we have to default to `cp -p'.
  ln -s conf$$.file conf$$.dir 2>/dev/null && test ! -f conf$$.exe ||
    as_ln_s='cp -p'
elif ln conf$$.file conf$$ 2>/dev/null; then
  as_ln_s=ln
else
  as_ln_s='cp -p'
fi
rm -f conf$$ conf$$.exe conf$$.dir/conf$$.file conf$$.file
rmdir conf$$.dir 2>/dev/null

if mkdir -p . 2>/dev/null; then
  as_mkdir_p=:
else
  test -d ./-p && rmdir ./-p
  as_mkdir_p=false
fi

if test -x / >/dev/null 2>&1; then
  as_test_x='test -x'
else
  if ls -dL / >/dev/null 2>&1; then
    as_ls_L_option=L
  else
    as_ls_L_option=
  fi
  as_test_x='
    eval sh -c '\''
      if test -d "$1"; then
        test -d "$1/.";
      else
        case $1 in
        -*)set "./$1";;
        esac;
        case `ls -ld'$as_ls_L_option' "$1" 2>/dev/null` in
        ???[sx]*):;;*)false;;esac;fi
    '\'' sh
  '
fi
as_executable_p=$as_test_x

# Sed expression to map a string onto a valid CPP name.
as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"

# Sed expression to map a string onto a valid variable name.
as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"


exec 6>&1

# Save the log message, to keep $[0] and so on meaningful, and to
# report actual input values of CONFIG_FILES etc. instead of their
# values after options handling.
ac_log="
This file was extended by GNU tar $as_me 1.20, which was
generated by GNU Autoconf 2.61.  Invocation command line was

  CONFIG_FILES    = $CONFIG_FILES
  CONFIG_HEADERS  = $CONFIG_HEADERS
  CONFIG_LINKS    = $CONFIG_LINKS
  CONFIG_COMMANDS = $CONFIG_COMMANDS
  $ $0 $@

on `(hostname || uname -n) 2>/dev/null | sed 1q`
"

# Files that config.status was made for.
config_files=" tests/Makefile tests/atlocal Makefile doc/Makefile lib/Makefile 
po/Makefile.in scripts/Makefile rmt/Makefile src/Makefile"
config_headers=" config.h:config.hin"
config_commands=" depfiles po-directories tests/atconfig"

ac_cs_usage="\
\`$as_me' instantiates files from templates according to the
current configuration.

Usage: $0 [OPTIONS] [FILE]...

  -h, --help       print this help, then exit
  -V, --version    print version number and configuration settings, then exit
  -q, --quiet      do not print progress messages
  -d, --debug      don't remove temporary files
      --recheck    update $as_me by reconfiguring in the same conditions
  --file=FILE[:TEMPLATE]
                   instantiate the configuration file FILE
  --header=FILE[:TEMPLATE]
                   instantiate the configuration header FILE

Configuration files:
$config_files

Configuration headers:
$config_headers

Configuration commands:
$config_commands

Report bugs to <address@hidden>."

ac_cs_version="\
GNU tar config.status 1.20
configured by ./configure, generated by GNU Autoconf 2.61,
  with options \"\"

Copyright (C) 2006 Free Software Foundation, Inc.
This config.status script is free software; the Free Software Foundation
gives unlimited permission to copy, distribute and modify it."

ac_pwd='/tar-1.20'
srcdir='.'
INSTALL='/bin/install -c'
MKDIR_P='/bin/mkdir -p'
# If no file are specified by the user, then we need to provide default
# value.  By we need to know if files were specified by the user.
ac_need_defaults=:
while test $# != 0
do
  case $1 in
  --*=*)
    ac_option=`expr "X$1" : 'X\([^=]*\)='`
    ac_optarg=`expr "X$1" : 'X[^=]*=\(.*\)'`
    ac_shift=:
    ;;
  *)
    ac_option=$1
    ac_optarg=$2
    ac_shift=shift
    ;;
  esac

  case $ac_option in
  # Handling of the options.
  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
    ac_cs_recheck=: ;;
  --version | --versio | --versi | --vers | --ver | --ve | --v | -V )
    echo "$ac_cs_version"; exit ;;
  --debug | --debu | --deb | --de | --d | -d )
    debug=: ;;
  --file | --fil | --fi | --f )
    $ac_shift
    CONFIG_FILES="$CONFIG_FILES $ac_optarg"
    ac_need_defaults=false;;
  --header | --heade | --head | --hea )
    $ac_shift
    CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
    ac_need_defaults=false;;
  --he | --h)
    # Conflict between --help and --header
    { echo "$as_me: error: ambiguous option: $1
Try \`$0 --help' for more information." >&2
   { (exit 1); exit 1; }; };;
  --help | --hel | -h )
    echo "$ac_cs_usage"; exit ;;
  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
  | -silent | --silent | --silen | --sile | --sil | --si | --s)
    ac_cs_silent=: ;;

  # This is an error.
  -*) { echo "$as_me: error: unrecognized option: $1
Try \`$0 --help' for more information." >&2
   { (exit 1); exit 1; }; } ;;

  *) ac_config_targets="$ac_config_targets $1"
     ac_need_defaults=false ;;

  esac
  shift
done

ac_configure_extra_args=

if $ac_cs_silent; then
  exec 6>/dev/null
  ac_configure_extra_args="$ac_configure_extra_args --silent"
fi

if $ac_cs_recheck; then
  echo "running CONFIG_SHELL=/bin/sh /bin/sh ./configure " 
$ac_configure_extra_args " --no-create --no-recursion" >&6
  CONFIG_SHELL=/bin/sh
  export CONFIG_SHELL
  exec /bin/sh "./configure" $ac_configure_extra_args --no-create --no-recursion
fi

exec 5>>config.log
{
  echo
  sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
## Running $as_me. ##
_ASBOX
  echo "$ac_log"
} >&5

#
# INIT-COMMANDS
#
AMDEP_TRUE="" ac_aux_dir="build-aux"
# Capture the value of obsolete ALL_LINGUAS because we need it to compute
    # POFILES, UPDATEPOFILES, DUMMYPOFILES, GMOFILES, CATALOGS. But hide it
    # from automake < 1.5.
    eval 'OBSOLETE_ALL_LINGUAS''=""'
    # Capture the value of LINGUAS because we need it to compute CATALOGS.
    LINGUAS="%UNSET%"



# Handling of arguments.
for ac_config_target in $ac_config_targets
do
  case $ac_config_target in
    "config.h") CONFIG_HEADERS="$CONFIG_HEADERS config.h:config.hin" ;;
    "depfiles") CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
    "po-directories") CONFIG_COMMANDS="$CONFIG_COMMANDS po-directories" ;;
    "tests/atconfig") CONFIG_COMMANDS="$CONFIG_COMMANDS tests/atconfig" ;;
    "tests/Makefile") CONFIG_FILES="$CONFIG_FILES tests/Makefile" ;;
    "tests/atlocal") CONFIG_FILES="$CONFIG_FILES tests/atlocal" ;;
    "Makefile") CONFIG_FILES="$CONFIG_FILES Makefile" ;;
    "doc/Makefile") CONFIG_FILES="$CONFIG_FILES doc/Makefile" ;;
    "lib/Makefile") CONFIG_FILES="$CONFIG_FILES lib/Makefile" ;;
    "po/Makefile.in") CONFIG_FILES="$CONFIG_FILES po/Makefile.in" ;;
    "scripts/Makefile") CONFIG_FILES="$CONFIG_FILES scripts/Makefile" ;;
    "rmt/Makefile") CONFIG_FILES="$CONFIG_FILES rmt/Makefile" ;;
    "src/Makefile") CONFIG_FILES="$CONFIG_FILES src/Makefile" ;;

  *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
   { (exit 1); exit 1; }; };;
  esac
done


# If the user did not use the arguments to specify the items to instantiate,
# then the envvar interface is used.  Set only those that are not.
# We use the long form for the default assignment because of an extremely
# bizarre bug on SunOS 4.1.3.
if $ac_need_defaults; then
  test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
  test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
  test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
fi

# Have a temporary directory for convenience.  Make it in the build tree
# simply because there is no reason against having it here, and in addition,
# creating and moving files from /tmp can sometimes cause problems.
# Hook for its removal unless debugging.
# Note that there is a small window in which the directory will not be cleaned:
# after its creation but before its name has been assigned to `$tmp'.
$debug ||
{
  tmp=
  trap 'exit_status=$?
  { test -z "$tmp" || test ! -d "$tmp" || rm -fr "$tmp"; } && exit $exit_status
' 0
  trap '{ (exit 1); exit 1; }' 1 2 13 15
}
# Create a (secure) tmp directory for tmp files.

{
  tmp=`(umask 077 && mktemp -d "./confXXXXXX") 2>/dev/null` &&
  test -n "$tmp" && test -d "$tmp"
}  ||
{
  tmp=./conf$$-$RANDOM
  (umask 077 && mkdir "$tmp")
} ||
{
   echo "$me: cannot create a temporary directory in ." >&2
   { (exit 1); exit 1; }
}

#
# Set up the sed scripts for CONFIG_FILES section.
#

# No need to generate the scripts if there are no CONFIG_FILES.
# This happens for instance when ./config.status config.h
if test -n "$CONFIG_FILES"; then

cat >"$tmp/subs-1.sed" <<\CEOF
/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
s,@SHELL@,|#_!!_#|/bin/sh,g
s,@PATH_SEPARATOR@,|#_!!_#|:,g
s,@PACKAGE_NAME@,|#_!!_#|GNU tar,g
s,@PACKAGE_TARNAME@,|#_!!_#|tar,g
s,@PACKAGE_VERSION@,|#_!!_#|1.20,g
s,@PACKAGE_STRING@,|#_!!_#|GNU tar 1.20,g
s,@PACKAGE_BUGREPORT@,|#_!!_#|bug-tar@|#_!!_#|gnu.org,g
s,@exec_prefix@,|#_!!_#|${prefix},g
s,@prefix@,|#_!!_#|/usr/local,g
s,@program_transform_name@,|#_!!_#|s\,x\,x\,,g
s,@bindir@,|#_!!_#|${exec_prefix}/bin,g
s,@sbindir@,|#_!!_#|${exec_prefix}/sbin,g
s,@libexecdir@,|#_!!_#|${exec_prefix}/libexec,g
s,@datarootdir@,|#_!!_#|${prefix}/share,g
s,@datadir@,|#_!!_#|${datarootdir},g
s,@sysconfdir@,|#_!!_#|${prefix}/etc,g
s,@sharedstatedir@,|#_!!_#|${prefix}/com,g
s,@localstatedir@,|#_!!_#|${prefix}/var,g
s,@includedir@,|#_!!_#|${prefix}/include,g
s,@oldincludedir@,|#_!!_#|/usr/include,g
s,@docdir@,|#_!!_#|${datarootdir}/doc/${PACKAGE_TARNAME},g
s,@infodir@,|#_!!_#|${datarootdir}/info,g
s,@htmldir@,|#_!!_#|${docdir},g
s,@dvidir@,|#_!!_#|${docdir},g
s,@pdfdir@,|#_!!_#|${docdir},g
s,@psdir@,|#_!!_#|${docdir},g
s,@libdir@,|#_!!_#|${exec_prefix}/lib,g
s,@localedir@,|#_!!_#|${datarootdir}/locale,g
s,@mandir@,|#_!!_#|${datarootdir}/man,g
s,@DEFS@,|#_!!_#|-DHAVE_CONFIG_H,g
s,@ECHO_C@,|#_!!_#|,g
s,@ECHO_N@,|#_!!_#|-n,g
s,@ECHO_T@,|#_!!_#|,g
s,@LIBS@,|#_!!_#|,g
s,@build_alias@,|#_!!_#|,g
s,@host_alias@,|#_!!_#|,g
s,@target_alias@,|#_!!_#|,g
s,@INSTALL_PROGRAM@,|#_!!_#|${INSTALL},g
s,@INSTALL_SCRIPT@,|#_!!_#|${INSTALL},g
s,@INSTALL_DATA@,|#_!!_#|${INSTALL} -m 644,g
s,@am__isrc@,|#_!!_#|,g
s,@CYGPATH_W@,|#_!!_#|echo,g
s,@PACKAGE@,|#_!!_#|tar,g
s,@VERSION@,|#_!!_#|1.20,g
s,@ACLOCAL@,|#_!!_#|${SHELL} /tar-1.20/build-aux/missing --run aclocal-1.10,g
s,@AUTOCONF@,|#_!!_#|${SHELL} /tar-1.20/build-aux/missing --run autoconf,g
s,@AUTOMAKE@,|#_!!_#|${SHELL} /tar-1.20/build-aux/missing --run automake-1.10,g
s,@AUTOHEADER@,|#_!!_#|${SHELL} /tar-1.20/build-aux/missing --run autoheader,g
s,@MAKEINFO@,|#_!!_#|${SHELL} /tar-1.20/build-aux/missing --run makeinfo,g
s,@install_sh@,|#_!!_#|$(SHELL) /tar-1.20/build-aux/install-sh,g
s,@STRIP@,|#_!!_#|,g
s,@INSTALL_STRIP_PROGRAM@,|#_!!_#|$(install_sh) -c -s,g
s,@mkdir_p@,|#_!!_#|/bin/mkdir -p,g
s,@AWK@,|#_!!_#|gawk,g
s,@SET_MAKE@,|#_!!_#|,g
s,@am__leading_dot@,|#_!!_#|.,g
s,@AMTAR@,|#_!!_#|${SHELL} /tar-1.20/build-aux/missing --run tar,g
s,@am__tar@,|#_!!_#|false,g
s,@am__untar@,|#_!!_#|false,g
s,@CC@,|#_!!_#|gcc -std=gnu99,g
s,@CFLAGS@,|#_!!_#|-g -O2,g
s,@LDFLAGS@,|#_!!_#|,g
s,@CPPFLAGS@,|#_!!_#|,g
s,@ac_ct_CC@,|#_!!_#|gcc,g
s,@EXEEXT@,|#_!!_#|.exe,g
s,@OBJEXT@,|#_!!_#|o,g
s,@DEPDIR@,|#_!!_#|.deps,g
s,@am__include@,|#_!!_#|include,g
s,@am__quote@,|#_!!_#|,g
s,@AMDEP_TRUE@,|#_!!_#|,g
s,@AMDEP_FALSE@,|#_!!_#|#,g
s,@AMDEPBACKSLASH@,|#_!!_#|\\,g
s,@CCDEPMODE@,|#_!!_#|depmode=gcc3,g
s,@am__fastdepCC_TRUE@,|#_!!_#|,g
s,@am__fastdepCC_FALSE@,|#_!!_#|#,g
s,@RANLIB@,|#_!!_#|ranlib,g
s,@YACC@,|#_!!_#|bison -y,g
s,@YFLAGS@,|#_!!_#|,g
s,@CPP@,|#_!!_#|gcc -E,g
s,@GREP@,|#_!!_#|/bin/grep,g
s,@EGREP@,|#_!!_#|/bin/grep -E,g
s,@STDBOOL_H@,|#_!!_#|,g
s,@HAVE__BOOL@,|#_!!_#|1,g
s,@GL_COND_LIBTOOL_TRUE@,|#_!!_#|#,g
s,@GL_COND_LIBTOOL_FALSE@,|#_!!_#|,g
s,@EOVERFLOW@,|#_!!_#|E2BIG,g
s,@ALLOCA@,|#_!!_#|,g
s,@ALLOCA_H@,|#_!!_#|alloca.h,g
s,@GETOPT_H@,|#_!!_#|getopt.h,g
s,@GNULIB_CHOWN@,|#_!!_#|1,g
s,@GNULIB_DUP2@,|#_!!_#|1,g
s,@GNULIB_ENVIRON@,|#_!!_#|1,g
s,@GNULIB_FCHDIR@,|#_!!_#|1,g
s,@GNULIB_FTRUNCATE@,|#_!!_#|1,g
s,@GNULIB_GETCWD@,|#_!!_#|1,g
s,@GNULIB_GETLOGIN_R@,|#_!!_#|0,g
s,@GNULIB_GETPAGESIZE@,|#_!!_#|1,g
CEOF
cat >"$tmp/subs-2.sed" <<\CEOF
/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
s,@GNULIB_LCHOWN@,|#_!!_#|1,g
s,@GNULIB_LSEEK@,|#_!!_#|1,g
s,@GNULIB_READLINK@,|#_!!_#|1,g
s,@GNULIB_SLEEP@,|#_!!_#|1,g
s,@HAVE_DUP2@,|#_!!_#|1,g
s,@HAVE_FTRUNCATE@,|#_!!_#|1,g
s,@HAVE_GETPAGESIZE@,|#_!!_#|1,g
s,@HAVE_READLINK@,|#_!!_#|0,g
s,@HAVE_SLEEP@,|#_!!_#|0,g
s,@HAVE_DECL_ENVIRON@,|#_!!_#|0,g
s,@HAVE_DECL_GETLOGIN_R@,|#_!!_#|1,g
s,@HAVE_OS_H@,|#_!!_#|0,g
s,@HAVE_SYS_PARAM_H@,|#_!!_#|0,g
s,@REPLACE_CHOWN@,|#_!!_#|1,g
s,@REPLACE_FCHDIR@,|#_!!_#|1,g
s,@REPLACE_GETCWD@,|#_!!_#|1,g
s,@REPLACE_GETPAGESIZE@,|#_!!_#|1,g
s,@REPLACE_LCHOWN@,|#_!!_#|1,g
s,@REPLACE_LSEEK@,|#_!!_#|1,g
s,@LIB_CLOCK_GETTIME@,|#_!!_#|,g
s,@build@,|#_!!_#|i686-pc-mingw32,g
s,@build_cpu@,|#_!!_#|i686,g
s,@build_vendor@,|#_!!_#|pc,g
s,@build_os@,|#_!!_#|mingw32,g
s,@host@,|#_!!_#|i686-pc-mingw32,g
s,@host_cpu@,|#_!!_#|i686,g
s,@host_vendor@,|#_!!_#|pc,g
s,@host_os@,|#_!!_#|mingw32,g
s,@INCLUDE_NEXT@,|#_!!_#|include_next,g
s,@NEXT_DIRENT_H@,|#_!!_#|<dirent.h>,g
s,@DIRENT_H@,|#_!!_#|dirent.h,g
s,@GNULIB_OPEN@,|#_!!_#|0,g
s,@REPLACE_OPEN@,|#_!!_#|0,g
s,@NEXT_FCNTL_H@,|#_!!_#|<fcntl.h>,g
s,@FCNTL_H@,|#_!!_#|fcntl.h,g
s,@NEXT_FLOAT_H@,|#_!!_#|,g
s,@FLOAT_H@,|#_!!_#|,g
s,@FNMATCH_H@,|#_!!_#|fnmatch.h,g
s,@GNULIB_FPRINTF_POSIX@,|#_!!_#|0,g
s,@GNULIB_PRINTF_POSIX@,|#_!!_#|0,g
s,@GNULIB_SNPRINTF@,|#_!!_#|1,g
s,@GNULIB_SPRINTF_POSIX@,|#_!!_#|0,g
s,@GNULIB_VFPRINTF_POSIX@,|#_!!_#|0,g
s,@GNULIB_VPRINTF_POSIX@,|#_!!_#|0,g
s,@GNULIB_VSNPRINTF@,|#_!!_#|1,g
s,@GNULIB_VSPRINTF_POSIX@,|#_!!_#|0,g
s,@GNULIB_VASPRINTF@,|#_!!_#|0,g
s,@GNULIB_FOPEN@,|#_!!_#|0,g
s,@GNULIB_FREOPEN@,|#_!!_#|0,g
s,@GNULIB_FSEEK@,|#_!!_#|0,g
s,@GNULIB_FSEEKO@,|#_!!_#|1,g
s,@GNULIB_FTELL@,|#_!!_#|0,g
s,@GNULIB_FTELLO@,|#_!!_#|0,g
s,@GNULIB_FFLUSH@,|#_!!_#|0,g
s,@GNULIB_GETDELIM@,|#_!!_#|1,g
s,@GNULIB_GETLINE@,|#_!!_#|1,g
s,@REPLACE_FPRINTF@,|#_!!_#|0,g
s,@REPLACE_VFPRINTF@,|#_!!_#|0,g
s,@REPLACE_PRINTF@,|#_!!_#|0,g
s,@REPLACE_VPRINTF@,|#_!!_#|0,g
s,@REPLACE_SNPRINTF@,|#_!!_#|0,g
s,@HAVE_DECL_SNPRINTF@,|#_!!_#|1,g
s,@REPLACE_VSNPRINTF@,|#_!!_#|0,g
s,@HAVE_DECL_VSNPRINTF@,|#_!!_#|1,g
s,@REPLACE_SPRINTF@,|#_!!_#|0,g
s,@REPLACE_VSPRINTF@,|#_!!_#|0,g
s,@HAVE_VASPRINTF@,|#_!!_#|1,g
s,@REPLACE_VASPRINTF@,|#_!!_#|0,g
s,@REPLACE_FOPEN@,|#_!!_#|0,g
s,@REPLACE_FREOPEN@,|#_!!_#|0,g
s,@HAVE_FSEEKO@,|#_!!_#|0,g
s,@REPLACE_FSEEKO@,|#_!!_#|1,g
s,@REPLACE_FSEEK@,|#_!!_#|0,g
s,@HAVE_FTELLO@,|#_!!_#|1,g
s,@REPLACE_FTELLO@,|#_!!_#|0,g
s,@REPLACE_FTELL@,|#_!!_#|0,g
s,@REPLACE_FFLUSH@,|#_!!_#|0,g
s,@HAVE_DECL_GETDELIM@,|#_!!_#|0,g
s,@HAVE_DECL_GETLINE@,|#_!!_#|0,g
s,@REPLACE_GETLINE@,|#_!!_#|1,g
s,@LIBINTL@,|#_!!_#|-lintl,g
s,@LTLIBINTL@,|#_!!_#|-lintl,g
s,@NEXT_SYS_TIME_H@,|#_!!_#|<sys/time.h>,g
s,@HAVE_SYS_TIME_H@,|#_!!_#|1,g
s,@HAVE_STRUCT_TIMEVAL@,|#_!!_#|1,g
s,@REPLACE_GETTIMEOFDAY@,|#_!!_#|0,g
s,@SYS_TIME_H@,|#_!!_#|,g
s,@HAVE_LONG_LONG_INT@,|#_!!_#|1,g
s,@HAVE_UNSIGNED_LONG_LONG_INT@,|#_!!_#|1,g
s,@HAVE_INTTYPES_H@,|#_!!_#|1,g
s,@HAVE_SYS_TYPES_H@,|#_!!_#|1,g
s,@NEXT_STDINT_H@,|#_!!_#|<stdint.h>,g
s,@HAVE_STDINT_H@,|#_!!_#|1,g
s,@HAVE_SYS_INTTYPES_H@,|#_!!_#|,g
s,@HAVE_SYS_BITYPES_H@,|#_!!_#|,g
s,@BITSIZEOF_PTRDIFF_T@,|#_!!_#|,g
s,@BITSIZEOF_SIG_ATOMIC_T@,|#_!!_#|,g
CEOF
cat >"$tmp/subs-3.sed" <<\CEOF
/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
s,@BITSIZEOF_SIZE_T@,|#_!!_#|,g
s,@BITSIZEOF_WCHAR_T@,|#_!!_#|,g
s,@BITSIZEOF_WINT_T@,|#_!!_#|,g
s,@HAVE_SIGNED_SIG_ATOMIC_T@,|#_!!_#|,g
s,@HAVE_SIGNED_WCHAR_T@,|#_!!_#|,g
s,@HAVE_SIGNED_WINT_T@,|#_!!_#|,g
s,@PTRDIFF_T_SUFFIX@,|#_!!_#|,g
s,@SIG_ATOMIC_T_SUFFIX@,|#_!!_#|,g
s,@SIZE_T_SUFFIX@,|#_!!_#|,g
s,@WCHAR_T_SUFFIX@,|#_!!_#|,g
s,@WINT_T_SUFFIX@,|#_!!_#|,g
s,@STDINT_H@,|#_!!_#|,g
s,@PRI_MACROS_BROKEN@,|#_!!_#|0,g
s,@GNULIB_IMAXABS@,|#_!!_#|0,g
s,@GNULIB_IMAXDIV@,|#_!!_#|0,g
s,@GNULIB_STRTOIMAX@,|#_!!_#|1,g
s,@GNULIB_STRTOUMAX@,|#_!!_#|1,g
s,@HAVE_DECL_IMAXABS@,|#_!!_#|1,g
s,@HAVE_DECL_IMAXDIV@,|#_!!_#|1,g
s,@HAVE_DECL_STRTOIMAX@,|#_!!_#|1,g
s,@HAVE_DECL_STRTOUMAX@,|#_!!_#|1,g
s,@NEXT_INTTYPES_H@,|#_!!_#|<inttypes.h>,g
s,@PRIPTR_PREFIX@,|#_!!_#|"",g
s,@INT32_MAX_LT_INTMAX_MAX@,|#_!!_#|1,g
s,@INT64_MAX_EQ_LONG_MAX@,|#_!!_#|0,g
s,@UINT32_MAX_LT_UINTMAX_MAX@,|#_!!_#|1,g
s,@UINT64_MAX_EQ_ULONG_MAX@,|#_!!_#|0,g
s,@INTTYPES_H@,|#_!!_#|inttypes.h,g
s,@GLIBC21@,|#_!!_#|no,g
s,@LOCALCHARSET_TESTS_ENVIRONMENT@,|#_!!_#|CHARSETALIASDIR="$(top_builddir)/.#bootmp/lib",g
s,@HAVE_MALLOC_POSIX@,|#_!!_#|0,g
s,@GNULIB_MALLOC_POSIX@,|#_!!_#|1,g
s,@GNULIB_REALLOC_POSIX@,|#_!!_#|1,g
s,@GNULIB_CALLOC_POSIX@,|#_!!_#|0,g
s,@GNULIB_GETSUBOPT@,|#_!!_#|0,g
s,@GNULIB_MKDTEMP@,|#_!!_#|1,g
s,@GNULIB_MKSTEMP@,|#_!!_#|0,g
s,@GNULIB_PUTENV@,|#_!!_#|0,g
s,@GNULIB_SETENV@,|#_!!_#|1,g
s,@GNULIB_STRTOD@,|#_!!_#|0,g
s,@GNULIB_UNSETENV@,|#_!!_#|1,g
s,@HAVE_CALLOC_POSIX@,|#_!!_#|1,g
s,@HAVE_GETSUBOPT@,|#_!!_#|1,g
s,@HAVE_MKDTEMP@,|#_!!_#|0,g
s,@HAVE_REALLOC_POSIX@,|#_!!_#|0,g
s,@HAVE_SETENV@,|#_!!_#|0,g
s,@HAVE_STRTOD@,|#_!!_#|1,g
s,@HAVE_UNSETENV@,|#_!!_#|0,g
s,@REPLACE_MKSTEMP@,|#_!!_#|0,g
s,@REPLACE_PUTENV@,|#_!!_#|0,g
s,@REPLACE_STRTOD@,|#_!!_#|0,g
s,@VOID_UNSETENV@,|#_!!_#|0,g
s,@GNULIB_MEMMEM@,|#_!!_#|0,g
s,@GNULIB_MEMPCPY@,|#_!!_#|1,g
s,@GNULIB_MEMRCHR@,|#_!!_#|1,g
s,@GNULIB_STPCPY@,|#_!!_#|1,g
s,@GNULIB_STPNCPY@,|#_!!_#|0,g
s,@GNULIB_STRCHRNUL@,|#_!!_#|1,g
s,@GNULIB_STRDUP@,|#_!!_#|1,g
s,@GNULIB_STRNDUP@,|#_!!_#|1,g
s,@GNULIB_STRNLEN@,|#_!!_#|1,g
s,@GNULIB_STRPBRK@,|#_!!_#|0,g
s,@GNULIB_STRSEP@,|#_!!_#|0,g
s,@GNULIB_STRSTR@,|#_!!_#|0,g
s,@GNULIB_STRCASESTR@,|#_!!_#|0,g
s,@GNULIB_STRTOK_R@,|#_!!_#|0,g
s,@GNULIB_MBSLEN@,|#_!!_#|0,g
s,@GNULIB_MBSNLEN@,|#_!!_#|0,g
s,@GNULIB_MBSCHR@,|#_!!_#|0,g
s,@GNULIB_MBSRCHR@,|#_!!_#|0,g
s,@GNULIB_MBSSTR@,|#_!!_#|0,g
s,@GNULIB_MBSCASECMP@,|#_!!_#|1,g
s,@GNULIB_MBSNCASECMP@,|#_!!_#|0,g
s,@GNULIB_MBSPCASECMP@,|#_!!_#|0,g
s,@GNULIB_MBSCASESTR@,|#_!!_#|0,g
s,@GNULIB_MBSCSPN@,|#_!!_#|0,g
s,@GNULIB_MBSPBRK@,|#_!!_#|0,g
s,@GNULIB_MBSSPN@,|#_!!_#|0,g
s,@GNULIB_MBSSEP@,|#_!!_#|0,g
s,@GNULIB_MBSTOK_R@,|#_!!_#|0,g
s,@GNULIB_STRERROR@,|#_!!_#|1,g
s,@GNULIB_STRSIGNAL@,|#_!!_#|0,g
s,@HAVE_DECL_MEMMEM@,|#_!!_#|1,g
s,@HAVE_MEMPCPY@,|#_!!_#|0,g
s,@HAVE_DECL_MEMRCHR@,|#_!!_#|0,g
s,@HAVE_STPCPY@,|#_!!_#|0,g
s,@HAVE_STPNCPY@,|#_!!_#|1,g
s,@HAVE_STRCHRNUL@,|#_!!_#|0,g
s,@HAVE_DECL_STRDUP@,|#_!!_#|1,g
s,@HAVE_STRNDUP@,|#_!!_#|0,g
s,@HAVE_DECL_STRNDUP@,|#_!!_#|0,g
s,@HAVE_DECL_STRNLEN@,|#_!!_#|0,g
s,@HAVE_STRPBRK@,|#_!!_#|1,g
s,@HAVE_STRSEP@,|#_!!_#|1,g
s,@HAVE_STRCASESTR@,|#_!!_#|1,g
s,@HAVE_DECL_STRTOK_R@,|#_!!_#|1,g
s,@HAVE_DECL_STRERROR@,|#_!!_#|1,g
CEOF
cat >"$tmp/subs-4.sed" <<\CEOF
/@[a-zA-Z_][a-zA-Z_0-9]*@/!b end
s,@HAVE_DECL_STRSIGNAL@,|#_!!_#|1,g
s,@REPLACE_STRERROR@,|#_!!_#|0,g
s,@REPLACE_STRSIGNAL@,|#_!!_#|0,g
s,@REPLACE_MEMMEM@,|#_!!_#|0,g
s,@REPLACE_STRCASESTR@,|#_!!_#|0,g
s,@REPLACE_STRSTR@,|#_!!_#|0,g
s,@STDARG_H@,|#_!!_#|,g
s,@NEXT_STDARG_H@,|#_!!_#|<stdarg.h>,g
s,@NEXT_STDIO_H@,|#_!!_#|<stdio.h>,g
s,@NEXT_STDLIB_H@,|#_!!_#|<stdlib.h>,g
s,@HAVE_STRCASECMP@,|#_!!_#|1,g
s,@HAVE_DECL_STRNCASECMP@,|#_!!_#|1,g
s,@NEXT_STRING_H@,|#_!!_#|<string.h>,g
s,@NEXT_STRINGS_H@,|#_!!_#|<strings.h>,g
s,@HAVE_LSTAT@,|#_!!_#|0,g
s,@HAVE_DECL_MKDIR@,|#_!!_#|0,g
s,@HAVE_IO_H@,|#_!!_#|1,g
s,@NEXT_SYS_STAT_H@,|#_!!_#|<sys/stat.h>,g
s,@SYS_STAT_H@,|#_!!_#|sys/stat.h,g
s,@NEXT_SYSEXITS_H@,|#_!!_#|,g
s,@HAVE_SYSEXITS_H@,|#_!!_#|0,g
s,@SYSEXITS_H@,|#_!!_#|sysexits.h,g
s,@REPLACE_LOCALTIME_R@,|#_!!_#|1,g
s,@REPLACE_NANOSLEEP@,|#_!!_#|GNULIB_PORTCHECK,g
s,@REPLACE_STRPTIME@,|#_!!_#|GNULIB_PORTCHECK,g
s,@REPLACE_TIMEGM@,|#_!!_#|GNULIB_PORTCHECK,g
s,@NEXT_TIME_H@,|#_!!_#|<time.h>,g
s,@TIME_H_DEFINES_STRUCT_TIMESPEC@,|#_!!_#|0,g
s,@SYS_TIME_H_DEFINES_STRUCT_TIMESPEC@,|#_!!_#|0,g
s,@NEXT_UNISTD_H@,|#_!!_#|<unistd.h>,g
s,@HAVE_UNISTD_H@,|#_!!_#|1,g
s,@GNULIB_WCWIDTH@,|#_!!_#|1,g
s,@HAVE_DECL_WCWIDTH@,|#_!!_#|0,g
s,@REPLACE_WCWIDTH@,|#_!!_#|1,g
s,@WCHAR_H@,|#_!!_#|wchar.h,g
s,@HAVE_WCHAR_H@,|#_!!_#|1,g
s,@NEXT_WCHAR_H@,|#_!!_#|<wchar.h>,g
s,@HAVE_ISWCNTRL@,|#_!!_#|1,g
s,@HAVE_WINT_T@,|#_!!_#|1,g
s,@NEXT_WCTYPE_H@,|#_!!_#|<wctype.h>,g
s,@HAVE_WCTYPE_H@,|#_!!_#|1,g
s,@WCTYPE_H@,|#_!!_#|,g
s,@LIBTAR_LIBDEPS@,|#_!!_#|,g
s,@LIBTAR_LTLIBDEPS@,|#_!!_#|,g
s,@LIB_SETSOCKOPT@,|#_!!_#|,g
s,@PU_RMT_PROG@,|#_!!_#|,g
s,@DEFAULT_RMT_DIR@,|#_!!_#|$(libexecdir),g
s,@DEFAULT_RMT_COMMAND@,|#_!!_#|,g
s,@LIBOBJS@,|#_!!_#| ${LIBOBJDIR}waitpid$U.o,g
s,@DEFAULT_ARCHIVE_FORMAT@,|#_!!_#|GNU,g
s,@DEFAULT_ARCHIVE@,|#_!!_#|-,g
s,@DEFAULT_BLOCKING@,|#_!!_#|20,g
s,@DEFAULT_QUOTING_STYLE@,|#_!!_#|escape_quoting_style,g
s,@LIBICONV@,|#_!!_#|-liconv,g
s,@LTLIBICONV@,|#_!!_#|-liconv,g
s,@USE_NLS@,|#_!!_#|yes,g
s,@GETTEXT_MACRO_VERSION@,|#_!!_#|0.17,g
s,@MSGFMT@,|#_!!_#|/mingw/bin/msgfmt,g
s,@GMSGFMT@,|#_!!_#|/mingw/bin/msgfmt,g
s,@MSGFMT_015@,|#_!!_#|:,g
s,@GMSGFMT_015@,|#_!!_#|:,g
s,@XGETTEXT@,|#_!!_#|/mingw/bin/xgettext,g
s,@XGETTEXT_015@,|#_!!_#|:,g
s,@MSGMERGE@,|#_!!_#|/mingw/bin/msgmerge,g
s,@XGETTEXT_EXTRA_OPTIONS@,|#_!!_#| --flag=argp_error:2:c-format 
--flag=argp_failure:4:c-format --flag=error:3:c-format 
--flag=error_at_line:5:c-format,g
s,@INTL_MACOSX_LIBS@,|#_!!_#|,g
s,@INTLLIBS@,|#_!!_#|-lintl,g
s,@POSUB@,|#_!!_#|po,g
s,@AUTOM4TE@,|#_!!_#|${SHELL} /tar-1.20/build-aux/missing --run autom4te,g
s,@BACKUP_LIBEXEC_SCRIPTS@,|#_!!_#|,g
s,@BACKUP_SBIN_SCRIPTS@,|#_!!_#|,g
s,@BACKUP_SED_COND@,|#_!!_#|/^\\#ELSE_DATE_FORMAT_OK/\,/^\\#ENDIF_DATE_FORMAT_OK/d;/^\\#IF_DATE_FORMAT_OK/d,g
s,@LTLIBOBJS@,|#_!!_#| ${LIBOBJDIR}waitpid$U.lo,g
s,@gl_LIBOBJS@,|#_!!_#| argmatch.o asnprintf.o backupfile.o basename.o 
canonicalize-lgpl.o chdir-long.o chown.o close-stream.o closeout.o 
creat-safer.o dirfd.o dirname.o dup-safer.o error.o exclude.o exitfail.o 
fchdir.o fchmodat.o fchown-stub.o fchownat.o fd-safer.o fileblocks.o fnmatch.o 
fpending.o fseeko.o getcwd.o getdelim.o getline.o getopt.o getopt1.o 
getpagesize.o gettime.o hash.o human.o imaxtostr.o lchown.o lseek.o lstat.o 
malloc.o mempcpy.o memrchr.o mkdirat.o mkdtemp.o mktime.o modechange.o 
obstack.o offtostr.o open-safer.o openat.o openat-proc.o pipe-safer.o 
printf-args.o printf-parse.o quote.o quotearg.o readlink.o realloc.o regex.o 
rpmatch.o safe-read.o safe-write.o save-cwd.o savedir.o setenv.o sleep.o 
stpcpy.o strchrnul.o stripslash.o strndup.o strnlen.o tempname.o time_r.o 
uinttostr.o umaxtostr.o unlinkdir.o unsetenv.o utimens.o vasnprintf.o wcwidth.o 
xgetcwd.o xmalloc.o xstrtol.o xstrtol-error.o xstrtoul.o,g
s,@gl_LTLIBOBJS@,|#_!!_#| argmatch.lo asnprintf.lo backupfile.lo basename.lo 
canonicalize-lgpl.lo chdir-long.lo chown.lo close-stream.lo closeout.lo 
creat-safer.lo dirfd.lo dirname.lo dup-safer.lo error.lo exclude.lo exitfail.lo 
fchdir.lo fchmodat.lo fchown-stub.lo fchownat.lo fd-safer.lo fileblocks.lo 
fnmatch.lo fpending.lo fseeko.lo getcwd.lo getdelim.lo getline.lo getopt.lo 
getopt1.lo getpagesize.lo gettime.lo hash.lo human.lo imaxtostr.lo lchown.lo 
lseek.lo lstat.lo malloc.lo mempcpy.lo memrchr.lo mkdirat.lo mkdtemp.lo 
mktime.lo modechange.lo obstack.lo offtostr.lo open-safer.lo openat.lo 
openat-proc.lo pipe-safer.lo printf-args.lo printf-parse.lo quote.lo 
quotearg.lo readlink.lo realloc.lo regex.lo rpmatch.lo safe-read.lo 
safe-write.lo save-cwd.lo savedir.lo setenv.lo sleep.lo stpcpy.lo strchrnul.lo 
stripslash.lo strndup.lo strnlen.lo tempname.lo time_r.lo uinttostr.lo 
umaxtostr.lo unlinkdir.lo unsetenv.lo utimens.lo vasnprintf.lo wcwidth.lo 
xgetcwd.lo xmalloc.lo xstrtol.lo xstrtol-error.lo xstrtoul.lo,g
s,@gltests_LIBOBJS@,|#_!!_#|,g
s,@gltests_LTLIBOBJS@,|#_!!_#|,g
:end
s/|#_!!_#|//g
CEOF
fi # test -n "$CONFIG_FILES"


for ac_tag in  :F $CONFIG_FILES  :H $CONFIG_HEADERS    :C $CONFIG_COMMANDS
do
  case $ac_tag in
  :[FHLC]) ac_mode=$ac_tag; continue;;
  esac
  case $ac_mode$ac_tag in
  :[FHL]*:*);;
  :L* | :C*:*) { { echo "$as_me:$LINENO: error: Invalid tag $ac_tag." >&5
echo "$as_me: error: Invalid tag $ac_tag." >&2;}
   { (exit 1); exit 1; }; };;
  :[FH]-) ac_tag=-:-;;
  :[FH]*) ac_tag=$ac_tag:$ac_tag.in;;
  esac
  ac_save_IFS=$IFS
  IFS=:
  set x $ac_tag
  IFS=$ac_save_IFS
  shift
  ac_file=$1
  shift

  case $ac_mode in
  :L) ac_source=$1;;
  :[FH])
    ac_file_inputs=
    for ac_f
    do
      case $ac_f in
      -) ac_f="$tmp/stdin";;
      *) # Look for the file first in the build tree, then in the source tree
         # (if the path is not absolute).  The absolute path cannot be 
DOS-style,
         # because $ac_f cannot contain `:'.
         test -f "$ac_f" ||
           case $ac_f in
           [\\/$]*) false;;
           *) test -f "$srcdir/$ac_f" && ac_f="$srcdir/$ac_f";;
           esac ||
           { { echo "$as_me:$LINENO: error: cannot find input file: $ac_f" >&5
echo "$as_me: error: cannot find input file: $ac_f" >&2;}
   { (exit 1); exit 1; }; };;
      esac
      ac_file_inputs="$ac_file_inputs $ac_f"
    done

    # Let's still pretend it is `configure' which instantiates (i.e., don't
    # use $as_me), people would be surprised to read:
    #    /* config.h.  Generated by config.status.  */
    configure_input="Generated from "`IFS=:
          echo $* | sed 's|^[^:]*/||;s|:[^:]*/|, |g'`" by configure."
    if test x"$ac_file" != x-; then
      configure_input="$ac_file.  $configure_input"
      { echo "$as_me:$LINENO: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
    fi

    case $ac_tag in
    *:-:* | *:-) cat >"$tmp/stdin";;
    esac
    ;;
  esac

  ac_dir=`$as_dirname -- "$ac_file" ||
$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
         X"$ac_file" : 'X\(//\)[^/]' \| \
         X"$ac_file" : 'X\(//\)$' \| \
         X"$ac_file" : 'X\(/\)' \| . 2>/dev/null ||
echo X"$ac_file" |
    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
            s//\1/
            q
          }
          /^X\(\/\/\)[^/].*/{
            s//\1/
            q
          }
          /^X\(\/\/\)$/{
            s//\1/
            q
          }
          /^X\(\/\).*/{
            s//\1/
            q
          }
          s/.*/./; q'`
  { as_dir="$ac_dir"
  case $as_dir in #(
  -*) as_dir=./$as_dir;;
  esac
  test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
    as_dirs=
    while :; do
      case $as_dir in #(
      *\'*) as_qdir=`echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #(
      *) as_qdir=$as_dir;;
      esac
      as_dirs="'$as_qdir' $as_dirs"
      as_dir=`$as_dirname -- "$as_dir" ||
$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
         X"$as_dir" : 'X\(//\)[^/]' \| \
         X"$as_dir" : 'X\(//\)$' \| \
         X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
echo X"$as_dir" |
    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
            s//\1/
            q
          }
          /^X\(\/\/\)[^/].*/{
            s//\1/
            q
          }
          /^X\(\/\/\)$/{
            s//\1/
            q
          }
          /^X\(\/\).*/{
            s//\1/
            q
          }
          s/.*/./; q'`
      test -d "$as_dir" && break
    done
    test -z "$as_dirs" || eval "mkdir $as_dirs"
  } || test -d "$as_dir" || { { echo "$as_me:$LINENO: error: cannot create 
directory $as_dir" >&5
echo "$as_me: error: cannot create directory $as_dir" >&2;}
   { (exit 1); exit 1; }; }; }
  ac_builddir=.

case "$ac_dir" in
.) ac_dir_suffix= ac_top_builddir_sub=. ac_top_build_prefix= ;;
*)
  ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
  # A ".." for each directory in $ac_dir_suffix.
  ac_top_builddir_sub=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,/..,g;s,/,,'`
  case $ac_top_builddir_sub in
  "") ac_top_builddir_sub=. ac_top_build_prefix= ;;
  *)  ac_top_build_prefix=$ac_top_builddir_sub/ ;;
  esac ;;
esac
ac_abs_top_builddir=$ac_pwd
ac_abs_builddir=$ac_pwd$ac_dir_suffix
# for backward compatibility:
ac_top_builddir=$ac_top_build_prefix

case $srcdir in
  .)  # We are building in place.
    ac_srcdir=.
    ac_top_srcdir=$ac_top_builddir_sub
    ac_abs_top_srcdir=$ac_pwd ;;
  [\\/]* | ?:[\\/]* )  # Absolute name.
    ac_srcdir=$srcdir$ac_dir_suffix;
    ac_top_srcdir=$srcdir
    ac_abs_top_srcdir=$srcdir ;;
  *) # Relative name.
    ac_srcdir=$ac_top_build_prefix$srcdir$ac_dir_suffix
    ac_top_srcdir=$ac_top_build_prefix$srcdir
    ac_abs_top_srcdir=$ac_pwd/$srcdir ;;
esac
ac_abs_srcdir=$ac_abs_top_srcdir$ac_dir_suffix


  case $ac_mode in
  :F)
  #
  # CONFIG_FILE
  #

  case $INSTALL in
  [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
  *) ac_INSTALL=$ac_top_build_prefix$INSTALL ;;
  esac
  ac_MKDIR_P=$MKDIR_P
  case $MKDIR_P in
  [\\/$]* | ?:[\\/]* ) ;;
  */*) ac_MKDIR_P=$ac_top_build_prefix$MKDIR_P ;;
  esac
# If the template does not know about datarootdir, expand it.
# FIXME: This hack should be removed a few years after 2.60.
ac_datarootdir_hack=; ac_datarootdir_seen=

case `sed -n '/datarootdir/ {
  p
  q
}
/@datadir@/p
/@docdir@/p
/@infodir@/p
/@localedir@/p
/@mandir@/p
' $ac_file_inputs` in
*datarootdir*) ac_datarootdir_seen=yes;;
address@hidden@*|address@hidden@*|address@hidden@*|address@hidden@*|address@hidden@*)
  { echo "$as_me:$LINENO: WARNING: $ac_file_inputs seems to ignore the 
--datarootdir setting" >&5
echo "$as_me: WARNING: $ac_file_inputs seems to ignore the --datarootdir 
setting" >&2;}
  ac_datarootdir_hack='
  s&@datadir@&${datarootdir}&g
  s&@docdir@&${datarootdir}/doc/${PACKAGE_TARNAME}&g
  s&@infodir@&${datarootdir}/info&g
  s&@localedir@&${datarootdir}/locale&g
  s&@mandir@&${datarootdir}/man&g
    s&\${datarootdir}&${prefix}/share&g' ;;
esac
  sed "/^[       ]*VPATH[        ]*=/{
s/:*\$(srcdir):*/:/
s/:*\${srcdir}:*/:/
s/:address@hidden@:*/:/
s/^\([^=]*=[     ]*\):*/\1/
s/:*$//
s/^[^=]*=[       ]*$//
}

:t
/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
s&@configure_input@&$configure_input&;t t
s&@top_builddir@&$ac_top_builddir_sub&;t t
s&@srcdir@&$ac_srcdir&;t t
s&@abs_srcdir@&$ac_abs_srcdir&;t t
s&@top_srcdir@&$ac_top_srcdir&;t t
s&@abs_top_srcdir@&$ac_abs_top_srcdir&;t t
s&@builddir@&$ac_builddir&;t t
s&@abs_builddir@&$ac_abs_builddir&;t t
s&@abs_top_builddir@&$ac_abs_top_builddir&;t t
s&@INSTALL@&$ac_INSTALL&;t t
s&@MKDIR_P@&$ac_MKDIR_P&;t t
$ac_datarootdir_hack
" $ac_file_inputs | sed -f "$tmp/subs-1.sed" | sed -f "$tmp/subs-2.sed" | sed 
-f "$tmp/subs-3.sed" | sed -f "$tmp/subs-4.sed" >$tmp/out

test -z "$ac_datarootdir_hack$ac_datarootdir_seen" &&
  { ac_out=`sed -n '/\${datarootdir}/p' "$tmp/out"`; test -n "$ac_out"; } &&
  { ac_out=`sed -n '/^[  ]*datarootdir[  ]*:*=/p' "$tmp/out"`; test -z 
"$ac_out"; } &&
  { echo "$as_me:$LINENO: WARNING: $ac_file contains a reference to the 
variable \`datarootdir'
which seems to be undefined.  Please make sure it is defined." >&5
echo "$as_me: WARNING: $ac_file contains a reference to the variable 
\`datarootdir'
which seems to be undefined.  Please make sure it is defined." >&2;}

  rm -f "$tmp/stdin"
  case $ac_file in
  -) cat "$tmp/out"; rm -f "$tmp/out";;
  *) rm -f "$ac_file"; mv "$tmp/out" $ac_file;;
  esac
 ;;
  :H)
  #
  # CONFIG_HEADER
  #
    # First, check the format of the line:
    cat >"$tmp/defines.sed" <<\CEOF
/^[      ]*#[    ]*undef[        ][      
]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[
    ]*$/b def
/^[      ]*#[    ]*define[       ][      
]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[(
   ]/b def
b
:def
s/$/ /
s,^\([   #]*\)[^         ]*\([   ]*PACKAGE_NAME\)[       (].*,\1define\2 "GNU 
tar" ,
s,^\([   #]*\)[^         ]*\([   ]*PACKAGE_TARNAME\)[    (].*,\1define\2 "tar" ,
s,^\([   #]*\)[^         ]*\([   ]*PACKAGE_VERSION\)[    (].*,\1define\2 "1.20" 
,
s,^\([   #]*\)[^         ]*\([   ]*PACKAGE_STRING\)[     (].*,\1define\2 "GNU 
tar 1.20" ,
s,^\([   #]*\)[^         ]*\([   ]*PACKAGE_BUGREPORT\)[  (].*,\1define\2 
"address@hidden" ,
s,^\([   #]*\)[^         ]*\([   ]*PACKAGE\)[    (].*,\1define\2 "tar" ,
s,^\([   #]*\)[^         ]*\([   ]*VERSION\)[    (].*,\1define\2 "1.20" ,
s,^\([   #]*\)[^         ]*\([   ]*_GNU_SOURCE\)[        (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*STDC_HEADERS\)[       (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_SYS_TYPES_H\)[   (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_SYS_STAT_H\)[    (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_STDLIB_H\)[      (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_STRING_H\)[      (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_MEMORY_H\)[      (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_STRINGS_H\)[     (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_INTTYPES_H\)[    (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_STDINT_H\)[      (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_UNISTD_H\)[      (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*__EXTENSIONS__\)[     (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*_ALL_SOURCE\)[        (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*_GNU_SOURCE\)[        (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*_POSIX_PTHREAD_SEMANTICS\)[   
(].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*_TANDEM_SOURCE\)[     (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_FCNTL_H\)[       (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_MEMORY_H\)[      (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_STRING_H\)[      (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_SYS_PARAM_H\)[   (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_SYS_TIME_H\)[    (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_UNISTD_H\)[      (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_LOCALE_H\)[      (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_DIRENT_H\)[      (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_FLOAT_H\)[       (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_WCTYPE_H\)[      (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_STDINT_H\)[      (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_WCHAR_H\)[       (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_INTTYPES_H\)[    (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_STDARG_H\)[      (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_STDIO_H\)[       (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_STDLIB_H\)[      (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_STRINGS_H\)[     (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_SYS_STAT_H\)[    (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_TIME_H\)[        (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_UTIME_H\)[       (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE__BOOL\)[         (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_STDBOOL_H\)[     (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_DIRENT_H\)[      (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*STDC_HEADERS\)[       (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*RETSIGTYPE\)[         (].*,\1define\2 void ,
s,^\([   #]*\)[^         ]*\([   ]*uid_t\)[      (].*,\1define\2 int ,
CEOF
    sed -f "$tmp/defines.sed" $ac_file_inputs >"$tmp/out1"
    # First, check the format of the line:
    cat >"$tmp/defines.sed" <<\CEOF
/^[      ]*#[    ]*undef[        ][      
]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[
    ]*$/b def
/^[      ]*#[    ]*define[       ][      
]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[(
   ]/b def
b
:def
s,^\([   #]*\)[^         ]*\([   ]*gid_t\)[      (].*,\1define\2 int ,
s,^\([   #]*\)[^         ]*\([   ]*major_t\)[    (].*,\1define\2 int ,
s,^\([   #]*\)[^         ]*\([   ]*minor_t\)[    (].*,\1define\2 int ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_ALLOCA\)[        (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*restrict\)[   (].*,\1define\2 __restrict ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_DECL_GETENV\)[   (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_DECL_CLEARERR_UNLOCKED\)[        
(].*,\1define\2 0 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_DECL_FEOF_UNLOCKED\)[    
(].*,\1define\2 0 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_DECL_FERROR_UNLOCKED\)[  
(].*,\1define\2 0 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_DECL_FFLUSH_UNLOCKED\)[  
(].*,\1define\2 0 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_DECL_FGETS_UNLOCKED\)[   
(].*,\1define\2 0 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_DECL_FPUTC_UNLOCKED\)[   
(].*,\1define\2 0 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_DECL_FPUTS_UNLOCKED\)[   
(].*,\1define\2 0 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_DECL_FREAD_UNLOCKED\)[   
(].*,\1define\2 0 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_DECL_FWRITE_UNLOCKED\)[  
(].*,\1define\2 0 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_DECL_GETC_UNLOCKED\)[    
(].*,\1define\2 0 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_DECL_GETCHAR_UNLOCKED\)[         
(].*,\1define\2 0 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_DECL_PUTC_UNLOCKED\)[    
(].*,\1define\2 0 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_DECL_PUTCHAR_UNLOCKED\)[         
(].*,\1define\2 0 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_GETCWD\)[        (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_DUP2\)[  (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_BTOWC\)[         (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_ISBLANK\)[       (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_ISWCTYPE\)[      (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_MBSRTOWCS\)[     (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_WMEMCHR\)[       (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_WMEMCPY\)[       (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_FTRUNCATE\)[     (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_GETTIMEOFDAY\)[  (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_MBSINIT\)[       (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_MBRTOWC\)[       (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_WCRTOMB\)[       (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_WCSCOLL\)[       (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_ISWCNTRL\)[      (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_SETLOCALE\)[     (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*D_INO_IN_DIRENT\)[    (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*FILE_SYSTEM_ACCEPTS_DRIVE_LETTER_PREFIX\)[   
 (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   
]*FILE_SYSTEM_BACKSLASH_IS_FILE_NAME_SEPARATOR\)[       (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*FILE_SYSTEM_DRIVE_PREFIX_CAN_BE_RELATIVE\)[  
 (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_LONG_FILE_NAMES\)[       
(].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_DECL_CANONICALIZE_FILE_NAME\)[   
(].*,\1define\2 0 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_UNISTD_H\)[      (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*CHOWN_MODIFIES_SYMLINK\)[     
(].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*DOUBLE_SLASH_IS_DISTINCT_ROOT\)[      
(].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_DECL_STRERROR_R\)[       
(].*,\1define\2 0 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_INCLUDE_NEXT\)[  (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_MBSTATE_T\)[     (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_DECL_GETCWD\)[   (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_DECL_GETDELIM\)[         
(].*,\1define\2 0 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_DECL_GETLINE\)[  (].*,\1define\2 0 ,
CEOF
    sed -f "$tmp/defines.sed" "$tmp/out1" >"$tmp/out2"
    # First, check the format of the line:
    cat >"$tmp/defines.sed" <<\CEOF
/^[      ]*#[    ]*undef[        ][      
]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[
    ]*$/b def
/^[      ]*#[    ]*define[       ][      
]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[(
   ]/b def
b
:def
s,^\([   #]*\)[^         ]*\([   ]*HAVE_GETOPT_H\)[      (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_LONG_LONG_INT\)[         
(].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_UNSIGNED_LONG_LONG_INT\)[        
(].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_INTTYPES_H\)[    (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_DECL_IMAXABS\)[  (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_DECL_IMAXDIV\)[  (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_DECL_STRTOIMAX\)[        
(].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_DECL_STRTOUMAX\)[        
(].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_STDLIB_H\)[      (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*MALLOC_0_IS_NONNULL\)[        
(].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_MBRTOWC\)[       (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_DECL_MEMRCHR\)[  (].*,\1define\2 0 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_DECL_SNPRINTF\)[         
(].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_DECL_STRDUP\)[   (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_DECL_STRNDUP\)[  (].*,\1define\2 0 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_DECL_STRNLEN\)[  (].*,\1define\2 0 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_UTIME_NULL\)[    (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_STRUCT_UTIMBUF\)[        
(].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_WCHAR_T\)[       (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_WINT_T\)[        (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_INTTYPES_H_WITH_UINTMAX\)[       
(].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_STDINT_H_WITH_UINTMAX\)[         
(].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_INTMAX_T\)[      (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_DECL_VSNPRINTF\)[        
(].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_STDINT_H\)[      (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*EOVERFLOW\)[  (].*,\1define\2 E2BIG ,
s,^\([   #]*\)[^         ]*\([   ]*__GETOPT_PREFIX\)[    (].*,\1define\2 rpl_ ,
s,^\([   #]*\)[^         ]*\([   ]*GNULIB_PROGRAM_INVOCATION_NAME\)[     
(].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*GNULIB_PROGRAM_INVOCATION_SHORT_NAME\)[      
 (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*realpath\)[   (].*,\1define\2 rpl_realpath ,
s,^\([   #]*\)[^         ]*\([   ]*CHOWN_FAILS_TO_HONOR_ID_OF_NEGATIVE_ONE\)[   
 (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*GNULIB_CLOSE_STREAM\)[        
(].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*D_INO_IN_DIRENT\)[    (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_DECL_DIRFD\)[    (].*,\1define\2 0 ,
s,^\([   #]*\)[^         ]*\([   ]*DOUBLE_SLASH_IS_DISTINCT_ROOT\)[      
(].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*FCHDIR_REPLACEMENT\)[         
(].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_WORKING_O_NOATIME\)[     
(].*,\1define\2 0 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_WORKING_O_NOFOLLOW\)[    
(].*,\1define\2 0 ,
s,^\([   #]*\)[^         ]*\([   ]*GNULIB_FCNTL_SAFER\)[         
(].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_DECL_ISBLANK\)[  (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*fnmatch\)[    (].*,\1define\2 gnu_fnmatch ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_DECL___FPENDING\)[       
(].*,\1define\2 0 ,
s,^\([   #]*\)[^         ]*\([   ]*PENDING_OUTPUT_N_BYTES\)[     
(].*,\1define\2 fp->_ptr - fp->_base ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_DECL_TZNAME\)[   (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_TZNAME\)[        (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*__GETOPT_PREFIX\)[    (].*,\1define\2 rpl_ ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_GETPAGESIZE\)[   (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_INLINE\)[        (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*GL_TRIGGER_STDC_LIMIT_MACROS\)[       
(].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*LSEEK_PIPE_BROKEN\)[  (].*,\1define\2 1 ,
CEOF
    sed -f "$tmp/defines.sed" "$tmp/out2" >"$tmp/out1"
    # First, check the format of the line:
    cat >"$tmp/defines.sed" <<\CEOF
/^[      ]*#[    ]*undef[        ][      
]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[
    ]*$/b def
/^[      ]*#[    ]*define[       ][      
]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[(
   ]/b def
b
:def
s,^\([   #]*\)[^         ]*\([   ]*HAVE_STDLIB_H\)[      (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_MALLOC\)[        (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*GNULIB_MALLOC_GNU\)[  (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_MEMCHR\)[        (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_MEMSET\)[        (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*mktime\)[     (].*,\1define\2 rpl_mktime ,
s,^\([   #]*\)[^         ]*\([   ]*__OPENAT_PREFIX\)[    (].*,\1define\2 rpl_ ,
s,^\([   #]*\)[^         ]*\([   ]*fchownat\)[   (].*,\1define\2 rpl_fchownat ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_MBSTATE_T\)[     (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_MBRTOWC\)[       (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*_REGEX_LARGE_OFFSETS\)[       
(].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*re_syntax_options\)[  (].*,\1define\2 
rpl_re_syntax_options ,
s,^\([   #]*\)[^         ]*\([   ]*re_set_syntax\)[      (].*,\1define\2 
rpl_re_set_syntax ,
s,^\([   #]*\)[^         ]*\([   ]*re_compile_pattern\)[         
(].*,\1define\2 rpl_re_compile_pattern ,
s,^\([   #]*\)[^         ]*\([   ]*re_compile_fastmap\)[         
(].*,\1define\2 rpl_re_compile_fastmap ,
s,^\([   #]*\)[^         ]*\([   ]*re_search\)[  (].*,\1define\2 rpl_re_search ,
s,^\([   #]*\)[^         ]*\([   ]*re_search_2\)[        (].*,\1define\2 
rpl_re_search_2 ,
s,^\([   #]*\)[^         ]*\([   ]*re_match\)[   (].*,\1define\2 rpl_re_match ,
s,^\([   #]*\)[^         ]*\([   ]*re_match_2\)[         (].*,\1define\2 
rpl_re_match_2 ,
s,^\([   #]*\)[^         ]*\([   ]*re_set_registers\)[   (].*,\1define\2 
rpl_re_set_registers ,
s,^\([   #]*\)[^         ]*\([   ]*re_comp\)[    (].*,\1define\2 rpl_re_comp ,
s,^\([   #]*\)[^         ]*\([   ]*re_exec\)[    (].*,\1define\2 rpl_re_exec ,
s,^\([   #]*\)[^         ]*\([   ]*regcomp\)[    (].*,\1define\2 rpl_regcomp ,
s,^\([   #]*\)[^         ]*\([   ]*regexec\)[    (].*,\1define\2 rpl_regexec ,
s,^\([   #]*\)[^         ]*\([   ]*regerror\)[   (].*,\1define\2 rpl_regerror ,
s,^\([   #]*\)[^         ]*\([   ]*regfree\)[    (].*,\1define\2 rpl_regfree ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_DECL_ISBLANK\)[  (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_RMDIR\)[         (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_SEARCH_H\)[      (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_SNPRINTF\)[      (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_STRCASECMP\)[    (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_STRNCASECMP\)[   (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_DECL_STRNCASECMP\)[      
(].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_STRDUP\)[        (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*strnlen\)[    (].*,\1define\2 rpl_strnlen ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_STRTOIMAX\)[     (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_STRTOL\)[        (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_STRTOLL\)[       (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_STRTOUL\)[       (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_STRTOULL\)[      (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_STRTOUMAX\)[     (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_DECL_MKDIR\)[    (].*,\1define\2 0 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_IO_H\)[  (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*USE_UNLOCKED_IO\)[    (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_SNPRINTF\)[      (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_WCSLEN\)[        (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_DECL__SNPRINTF\)[        
(].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_VSNPRINTF\)[     (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_DECL_WCWIDTH\)[  (].*,\1define\2 0 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_STDINT_H\)[      (].*,\1define\2 1 ,
CEOF
    sed -f "$tmp/defines.sed" "$tmp/out1" >"$tmp/out2"
    # First, check the format of the line:
    cat >"$tmp/defines.sed" <<\CEOF
/^[      ]*#[    ]*undef[        ][      
]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[
    ]*$/b def
/^[      ]*#[    ]*define[       ][      
]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[(
   ]/b def
b
:def
s,^\([   #]*\)[^         ]*\([   ]*TIME_WITH_SYS_TIME\)[         
(].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*MTIO_CHECK_FIELD\)[   (].*,\1define\2 
mt_type ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_SETLOCALE\)[     (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_DECL_GETGRGID\)[         
(].*,\1define\2 0 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_DECL_GETPWUID\)[         
(].*,\1define\2 0 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_DECL_TIME\)[     (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*DEFAULT_ARCHIVE_FORMAT\)[     
(].*,\1define\2 GNU_FORMAT ,
s,^\([   #]*\)[^         ]*\([   ]*DEFAULT_ARCHIVE\)[    (].*,\1define\2 "-" ,
s,^\([   #]*\)[^         ]*\([   ]*DEFAULT_BLOCKING\)[   (].*,\1define\2 20 ,
s,^\([   #]*\)[^         ]*\([   ]*DEFAULT_QUOTING_STYLE\)[      
(].*,\1define\2 escape_quoting_style ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_ICONV\)[         (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*ICONV_CONST\)[        (].*,\1define\2 const ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_ICONV_H\)[       (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_ICONV\)[         (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*ENABLE_NLS\)[         (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_GETTEXT\)[       (].*,\1define\2 1 ,
s,^\([   #]*\)[^         ]*\([   ]*HAVE_DCGETTEXT\)[     (].*,\1define\2 1 ,
s/ $//
s,^[     #]*u.*,/* & */,
CEOF
    sed -f "$tmp/defines.sed" "$tmp/out2" >"$tmp/out1"
ac_result="$tmp/out1"
  if test x"$ac_file" != x-; then
    echo "/* $configure_input  */" >"$tmp/config.h"
    cat "$ac_result" >>"$tmp/config.h"
    if diff $ac_file "$tmp/config.h" >/dev/null 2>&1; then
      { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
echo "$as_me: $ac_file is unchanged" >&6;}
    else
      rm -f $ac_file
      mv "$tmp/config.h" $ac_file
    fi
  else
    echo "/* $configure_input  */"
    cat "$ac_result"
  fi
  rm -f "$tmp/out12"
# Compute $ac_file's index in $config_headers.
_am_arg=$ac_file
_am_stamp_count=1
for _am_header in $config_headers :; do
  case $_am_header in
    $_am_arg | $_am_arg:* )
      break ;;
    * )
      _am_stamp_count=`expr $_am_stamp_count + 1` ;;
  esac
done
echo "timestamp for $_am_arg" >`$as_dirname -- "$_am_arg" ||
$as_expr X"$_am_arg" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
         X"$_am_arg" : 'X\(//\)[^/]' \| \
         X"$_am_arg" : 'X\(//\)$' \| \
         X"$_am_arg" : 'X\(/\)' \| . 2>/dev/null ||
echo X"$_am_arg" |
    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
            s//\1/
            q
          }
          /^X\(\/\/\)[^/].*/{
            s//\1/
            q
          }
          /^X\(\/\/\)$/{
            s//\1/
            q
          }
          /^X\(\/\).*/{
            s//\1/
            q
          }
          s/.*/./; q'`/stamp-h$_am_stamp_count
 ;;

  :C)  { echo "$as_me:$LINENO: executing $ac_file commands" >&5
echo "$as_me: executing $ac_file commands" >&6;}
 ;;
  esac


  case $ac_file$ac_mode in
    "depfiles":C) test x"$AMDEP_TRUE" != x"" || for mf in $CONFIG_FILES; do
  # Strip MF so we end up with the name of the file.
  mf=`echo "$mf" | sed -e 's/:.*$//'`
  # Check whether this is an Automake generated Makefile or not.
  # We used to match only the files named `Makefile.in', but
  # some people rename them; so instead we look at the file content.
  # Grep'ing the first line is not enough: some people post-process
  # each Makefile.in and add a new line on top of each file to say so.
  # Grep'ing the whole file is not good either: AIX grep has a line
  # limit of 2048, but all sed's we know have understand at least 4000.
  if sed -n 's,^#.*generated by automake.*,X,p' "$mf" | grep X >/dev/null 2>&1; 
then
    dirpart=`$as_dirname -- "$mf" ||
$as_expr X"$mf" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
         X"$mf" : 'X\(//\)[^/]' \| \
         X"$mf" : 'X\(//\)$' \| \
         X"$mf" : 'X\(/\)' \| . 2>/dev/null ||
echo X"$mf" |
    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
            s//\1/
            q
          }
          /^X\(\/\/\)[^/].*/{
            s//\1/
            q
          }
          /^X\(\/\/\)$/{
            s//\1/
            q
          }
          /^X\(\/\).*/{
            s//\1/
            q
          }
          s/.*/./; q'`
  else
    continue
  fi
  # Extract the definition of DEPDIR, am__include, and am__quote
  # from the Makefile without running `make'.
  DEPDIR=`sed -n 's/^DEPDIR = //p' < "$mf"`
  test -z "$DEPDIR" && continue
  am__include=`sed -n 's/^am__include = //p' < "$mf"`
  test -z "am__include" && continue
  am__quote=`sed -n 's/^am__quote = //p' < "$mf"`
  # When using ansi2knr, U may be empty or an underscore; expand it
  U=`sed -n 's/^U = //p' < "$mf"`
  # Find all dependency output files, they are included files with
  # $(DEPDIR) in their names.  We invoke sed twice because it is the
  # simplest approach to changing $(DEPDIR) to its actual value in the
  # expansion.
  for file in `sed -n "
    s/^$am__include $am__quote\(.*(DEPDIR).*\)$am__quote"'$/\1/p' <"$mf" | \
       sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
    # Make sure the directory exists.
    test -f "$dirpart/$file" && continue
    fdir=`$as_dirname -- "$file" ||
$as_expr X"$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
         X"$file" : 'X\(//\)[^/]' \| \
         X"$file" : 'X\(//\)$' \| \
         X"$file" : 'X\(/\)' \| . 2>/dev/null ||
echo X"$file" |
    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
            s//\1/
            q
          }
          /^X\(\/\/\)[^/].*/{
            s//\1/
            q
          }
          /^X\(\/\/\)$/{
            s//\1/
            q
          }
          /^X\(\/\).*/{
            s//\1/
            q
          }
          s/.*/./; q'`
    { as_dir=$dirpart/$fdir
  case $as_dir in #(
  -*) as_dir=./$as_dir;;
  esac
  test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
    as_dirs=
    while :; do
      case $as_dir in #(
      *\'*) as_qdir=`echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #(
      *) as_qdir=$as_dir;;
      esac
      as_dirs="'$as_qdir' $as_dirs"
      as_dir=`$as_dirname -- "$as_dir" ||
$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
         X"$as_dir" : 'X\(//\)[^/]' \| \
         X"$as_dir" : 'X\(//\)$' \| \
         X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
echo X"$as_dir" |
    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
            s//\1/
            q
          }
          /^X\(\/\/\)[^/].*/{
            s//\1/
            q
          }
          /^X\(\/\/\)$/{
            s//\1/
            q
          }
          /^X\(\/\).*/{
            s//\1/
            q
          }
          s/.*/./; q'`
      test -d "$as_dir" && break
    done
    test -z "$as_dirs" || eval "mkdir $as_dirs"
  } || test -d "$as_dir" || { { echo "$as_me:$LINENO: error: cannot create 
directory $as_dir" >&5
echo "$as_me: error: cannot create directory $as_dir" >&2;}
   { (exit 1); exit 1; }; }; }
    # echo "creating $dirpart/$file"
    echo '# dummy' > "$dirpart/$file"
  done
done
 ;;
    "po-directories":C)
    for ac_file in $CONFIG_FILES; do
      # Support "outfile[:infile[:infile...]]"
      case "$ac_file" in
        *:*) ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
      esac
      # PO directories have a Makefile.in generated from Makefile.in.in.
      case "$ac_file" in */Makefile.in)
        # Adjust a relative srcdir.
        ac_dir=`echo "$ac_file"|sed 's%/[^/][^/]*$%%'`
        ac_dir_suffix="/`echo "$ac_dir"|sed 's%^\./%%'`"
        ac_dots=`echo "$ac_dir_suffix"|sed 's%/[^/]*%../%g'`
        # In autoconf-2.13 it is called $ac_given_srcdir.
        # In autoconf-2.50 it is called $srcdir.
        test -n "$ac_given_srcdir" || ac_given_srcdir="$srcdir"
        case "$ac_given_srcdir" in
          .)  top_srcdir=`echo $ac_dots|sed 's%/$%%'` ;;
          /*) top_srcdir="$ac_given_srcdir" ;;
          *)  top_srcdir="$ac_dots$ac_given_srcdir" ;;
        esac
        # Treat a directory as a PO directory if and only if it has a
        # POTFILES.in file. This allows packages to have multiple PO
        # directories under different names or in different locations.
        if test -f "$ac_given_srcdir/$ac_dir/POTFILES.in"; then
          rm -f "$ac_dir/POTFILES"
          test -n "$as_me" && echo "$as_me: creating $ac_dir/POTFILES" || echo 
"creating $ac_dir/POTFILES"
          cat "$ac_given_srcdir/$ac_dir/POTFILES.in" | sed -e "/^#/d" -e "/^[   
]*\$/d" -e "s,.*,     $top_srcdir/& \\\\," | sed -e "\$s/\(.*\) \\\\/\1/" > 
"$ac_dir/POTFILES"
          POMAKEFILEDEPS="POTFILES.in"
          # ALL_LINGUAS, POFILES, UPDATEPOFILES, DUMMYPOFILES, GMOFILES depend
          # on $ac_dir but don't depend on user-specified configuration
          # parameters.
          if test -f "$ac_given_srcdir/$ac_dir/LINGUAS"; then
            # The LINGUAS file contains the set of available languages.
            if test -n "$OBSOLETE_ALL_LINGUAS"; then
              test -n "$as_me" && echo "$as_me: setting ALL_LINGUAS in 
configure.in is obsolete" || echo "setting ALL_LINGUAS in configure.in is 
obsolete"
            fi
            ALL_LINGUAS_=`sed -e "/^#/d" -e "s/#.*//" 
"$ac_given_srcdir/$ac_dir/LINGUAS"`
            # Hide the ALL_LINGUAS assigment from automake < 1.5.
            eval 'ALL_LINGUAS''=$ALL_LINGUAS_'
            POMAKEFILEDEPS="$POMAKEFILEDEPS LINGUAS"
          else
            # The set of available languages was given in configure.in.
            # Hide the ALL_LINGUAS assigment from automake < 1.5.
            eval 'ALL_LINGUAS''=$OBSOLETE_ALL_LINGUAS'
          fi
          # Compute POFILES
          # as      $(foreach lang, $(ALL_LINGUAS), $(srcdir)/$(lang).po)
          # Compute UPDATEPOFILES
          # as      $(foreach lang, $(ALL_LINGUAS), $(lang).po-update)
          # Compute DUMMYPOFILES
          # as      $(foreach lang, $(ALL_LINGUAS), $(lang).nop)
          # Compute GMOFILES
          # as      $(foreach lang, $(ALL_LINGUAS), $(srcdir)/$(lang).gmo)
          case "$ac_given_srcdir" in
            .) srcdirpre= ;;
            *) srcdirpre='$(srcdir)/' ;;
          esac
          POFILES=
          UPDATEPOFILES=
          DUMMYPOFILES=
          GMOFILES=
          for lang in $ALL_LINGUAS; do
            POFILES="$POFILES $srcdirpre$lang.po"
            UPDATEPOFILES="$UPDATEPOFILES $lang.po-update"
            DUMMYPOFILES="$DUMMYPOFILES $lang.nop"
            GMOFILES="$GMOFILES $srcdirpre$lang.gmo"
          done
          # CATALOGS depends on both $ac_dir and the user's LINGUAS
          # environment variable.
          INST_LINGUAS=
          if test -n "$ALL_LINGUAS"; then
            for presentlang in $ALL_LINGUAS; do
              useit=no
              if test "%UNSET%" != "$LINGUAS"; then
                desiredlanguages="$LINGUAS"
              else
                desiredlanguages="$ALL_LINGUAS"
              fi
              for desiredlang in $desiredlanguages; do
                # Use the presentlang catalog if desiredlang is
                #   a. equal to presentlang, or
                #   b. a variant of presentlang (because in this case,
                #      presentlang can be used as a fallback for messages
                #      which are not translated in the desiredlang catalog).
                case "$desiredlang" in
                  "$presentlang"*) useit=yes;;
                esac
              done
              if test $useit = yes; then
                INST_LINGUAS="$INST_LINGUAS $presentlang"
              fi
            done
          fi
          CATALOGS=
          if test -n "$INST_LINGUAS"; then
            for lang in $INST_LINGUAS; do
              CATALOGS="$CATALOGS $lang.gmo"
            done
          fi
          test -n "$as_me" && echo "$as_me: creating $ac_dir/Makefile" || echo 
"creating $ac_dir/Makefile"
          sed -e "/^POTFILES =/r $ac_dir/POTFILES" -e "/^# Makevars/r 
$ac_given_srcdir/$ac_dir/Makevars" -e "s|@POFILES@|$POFILES|g" -e 
"s|@UPDATEPOFILES@|$UPDATEPOFILES|g" -e "s|@DUMMYPOFILES@|$DUMMYPOFILES|g" -e 
"s|@GMOFILES@|$GMOFILES|g" -e "s|@CATALOGS@|$CATALOGS|g" -e 
"s|@POMAKEFILEDEPS@|$POMAKEFILEDEPS|g" "$ac_dir/Makefile.in" > 
"$ac_dir/Makefile"
          for f in "$ac_given_srcdir/$ac_dir"/Rules-*; do
            if test -f "$f"; then
              case "$f" in
                *.orig | *.bak | *~) ;;
                *) cat "$f" >> "$ac_dir/Makefile" ;;
              esac
            fi
          done
        fi
        ;;
      esac
    done ;;
    "tests/atconfig":C) cat >tests/atconfig <<ATEOF
# Configurable variable values for building test suites.
# Generated by $0.
# Copyright (C) 2000, 2001, 2003, 2004 Free Software Foundation, Inc.

# The test suite will define top_srcdir=$at_top_srcdir/../.. etc.
at_testdir='tests'
abs_builddir='$ac_abs_builddir'
at_srcdir='$ac_srcdir'
abs_srcdir='$ac_abs_srcdir'
at_top_srcdir='$ac_top_srcdir'
abs_top_srcdir='$ac_abs_top_srcdir'
at_top_build_prefix='$ac_top_build_prefix'
abs_top_builddir='$ac_abs_top_builddir'

# Backward compatibility with Autotest <= 2.59b:
at_top_builddir=\$at_top_build_prefix

AUTOTEST_PATH='tests'

SHELL=\${CONFIG_SHELL-'$SHELL'}
ATEOF
 ;;

  esac
done # for ac_tag


{ (exit 0); exit 0; }
Making install in doc
make[1]: Entering directory `/tar-1.20/doc'
make[2]: Entering directory `/tar-1.20/doc'
make[2]: Nothing to be done for `install-exec-am'.
test -z "/usr/local/share/info" || /bin/mkdir -p "/usr/local/share/info"
 /bin/install -c -m 644 './tar.info' '/usr/local/share/info/tar.info'
 /bin/install -c -m 644 './tar.info-1' '/usr/local/share/info/tar.info-1'
 /bin/install -c -m 644 './tar.info-2' '/usr/local/share/info/tar.info-2'
 install-info --info-dir='/usr/local/share/info' 
'/usr/local/share/info/tar.info'
make[2]: Leaving directory `/tar-1.20/doc'
make[1]: Leaving directory `/tar-1.20/doc'
Making install in lib
make[1]: Entering directory `/tar-1.20/lib'
{ echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */'; \
  cat ./alloca.in.h; \
} > alloca.h-t
mv -f alloca.h-t alloca.h
rm -f configmake.h-t configmake.h
{ echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */'; \
  echo '#define PREFIX "/usr/local"'; \
  echo '#define EXEC_PREFIX "/usr/local"'; \
  echo '#define BINDIR "/usr/local/bin"'; \
  echo '#define SBINDIR "/usr/local/sbin"'; \
  echo '#define LIBEXECDIR "/usr/local/libexec"'; \
  echo '#define DATAROOTDIR "/usr/local/share"'; \
  echo '#define DATADIR "/usr/local/share"'; \
  echo '#define SYSCONFDIR "/usr/local/etc"'; \
  echo '#define SHAREDSTATEDIR "/usr/local/com"'; \
  echo '#define LOCALSTATEDIR "/usr/local/var"'; \
  echo '#define INCLUDEDIR "/usr/local/include"'; \
  echo '#define OLDINCLUDEDIR "/usr/include"'; \
  echo '#define DOCDIR "/usr/local/share/doc/tar"'; \
  echo '#define INFODIR "/usr/local/share/info"'; \
  echo '#define HTMLDIR "/usr/local/share/doc/tar"'; \
  echo '#define DVIDIR "/usr/local/share/doc/tar"'; \
  echo '#define PDFDIR "/usr/local/share/doc/tar"'; \
  echo '#define PSDIR "/usr/local/share/doc/tar"'; \
  echo '#define LIBDIR "/usr/local/lib"'; \
  echo '#define LISPDIR ""'; \
  echo '#define LOCALEDIR "/usr/local/share/locale"'; \
  echo '#define MANDIR "/usr/local/share/man"'; \
  echo '#define MANEXT ""'; \
  echo '#define PKGDATADIR "/usr/local/share/tar"'; \
  echo '#define PKGINCLUDEDIR "/usr/local/include/tar"'; \
  echo '#define PKGLIBDIR "/usr/local/lib/tar"'; \
  echo '#define PKGLIBEXECDIR ""'; \
} | sed '/""/d' > configmake.h-t
mv configmake.h-t configmake.h
rm -f dirent.h-t dirent.h
{ echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */'; \
  sed -e 's|@''INCLUDE_NEXT''@|include_next|g' \
      -e 's|@''NEXT_DIRENT_H''@|<dirent.h>|g' \
      -e 's|@''REPLACE_FCHDIR''@|1|g' \
      < ./dirent.in.h; \
} > dirent.h-t
mv dirent.h-t dirent.h
rm -f fcntl.h-t fcntl.h
{ echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */'; \
  sed -e 's/@''INCLUDE_NEXT''@/include_next/g' \
      -e 's|@''NEXT_FCNTL_H''@|<fcntl.h>|g' \
      -e 's|@''GNULIB_OPEN''@|0|g' \
      -e 's|@''REPLACE_OPEN''@|0|g' \
      < ./fcntl.in.h; \
} > fcntl.h-t
mv fcntl.h-t fcntl.h
{ echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */'; \
  cat ./fnmatch.in.h; \
} > fnmatch.h-t
mv -f fnmatch.h-t fnmatch.h
{ echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */'; \
  cat ./getopt.in.h; \
} > getopt.h-t
mv -f getopt.h-t getopt.h
rm -f inttypes.h-t inttypes.h
{ echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */'; \
  sed -e 's/@''HAVE_INTTYPES_H''@/1/g' \
      -e 's/@''INCLUDE_NEXT''@/include_next/g' \
      -e 's|@''NEXT_INTTYPES_H''@|<inttypes.h>|g' \
      -e 's/@''PRI_MACROS_BROKEN''@/0/g' \
      -e 's/@''HAVE_LONG_LONG_INT''@/1/g' \
      -e 's/@''HAVE_UNSIGNED_LONG_LONG_INT''@/1/g' \
      -e 's/@''PRIPTR_PREFIX''@/""/g' \
      -e 's/@''GNULIB_IMAXABS''@/0/g' \
      -e 's/@''GNULIB_IMAXDIV''@/0/g' \
      -e 's/@''GNULIB_STRTOIMAX''@/1/g' \
      -e 's/@''GNULIB_STRTOUMAX''@/1/g' \
      -e 's/@''HAVE_DECL_IMAXABS''@/1/g' \
      -e 's/@''HAVE_DECL_IMAXDIV''@/1/g' \
      -e 's/@''HAVE_DECL_STRTOIMAX''@/1/g' \
      -e 's/@''HAVE_DECL_STRTOUMAX''@/1/g' \
      -e 's/@''INT32_MAX_LT_INTMAX_MAX''@/1/g' \
      -e 's/@''INT64_MAX_EQ_LONG_MAX''@/0/g' \
      -e 's/@''UINT32_MAX_LT_UINTMAX_MAX''@/1/g' \
      -e 's/@''UINT64_MAX_EQ_ULONG_MAX''@/0/g' \
      -e '/definition of GL_LINK_WARNING/r ../build-aux/link-warning.h' \
      < ./inttypes.in.h; \
} > inttypes.h-t
mv inttypes.h-t inttypes.h
rm -f stdio.h-t stdio.h
{ echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */' && \
  sed -e 's/@''INCLUDE_NEXT''@/include_next/g' \
      -e 's|@''NEXT_STDIO_H''@|<stdio.h>|g' \
      -e 's|@''GNULIB_FPRINTF_POSIX''@|0|g' \
      -e 's|@''GNULIB_PRINTF_POSIX''@|0|g' \
      -e 's|@''GNULIB_SNPRINTF''@|1|g' \
      -e 's|@''GNULIB_SPRINTF_POSIX''@|0|g' \
      -e 's|@''GNULIB_VFPRINTF_POSIX''@|0|g' \
      -e 's|@''GNULIB_VPRINTF_POSIX''@|0|g' \
      -e 's|@''GNULIB_VSNPRINTF''@|1|g' \
      -e 's|@''GNULIB_VSPRINTF_POSIX''@|0|g' \
      -e 's|@''GNULIB_VASPRINTF''@|0|g' \
      -e 's|@''GNULIB_FOPEN''@|0|g' \
      -e 's|@''GNULIB_FREOPEN''@|0|g' \
      -e 's|@''GNULIB_FSEEK''@|0|g' \
      -e 's|@''GNULIB_FSEEKO''@|1|g' \
      -e 's|@''GNULIB_FTELL''@|0|g' \
      -e 's|@''GNULIB_FTELLO''@|0|g' \
      -e 's|@''GNULIB_FFLUSH''@|0|g' \
      -e 's|@''GNULIB_GETDELIM''@|1|g' \
      -e 's|@''GNULIB_GETLINE''@|1|g' \
      -e 's|@''REPLACE_FPRINTF''@|0|g' \
      -e 's|@''REPLACE_VFPRINTF''@|0|g' \
      -e 's|@''REPLACE_PRINTF''@|0|g' \
      -e 's|@''REPLACE_VPRINTF''@|0|g' \
      -e 's|@''REPLACE_SNPRINTF''@|0|g' \
      -e 's|@''HAVE_DECL_SNPRINTF''@|1|g' \
      -e 's|@''REPLACE_VSNPRINTF''@|0|g' \
      -e 's|@''HAVE_DECL_VSNPRINTF''@|1|g' \
      -e 's|@''REPLACE_SPRINTF''@|0|g' \
      -e 's|@''REPLACE_VSPRINTF''@|0|g' \
      -e 's|@''HAVE_VASPRINTF''@|1|g' \
      -e 's|@''REPLACE_VASPRINTF''@|0|g' \
      -e 's|@''REPLACE_FOPEN''@|0|g' \
      -e 's|@''REPLACE_FREOPEN''@|0|g' \
      -e 's|@''REPLACE_FSEEKO''@|1|g' \
      -e 's|@''REPLACE_FSEEK''@|0|g' \
      -e 's|@''REPLACE_FTELLO''@|0|g' \
      -e 's|@''REPLACE_FTELL''@|0|g' \
      -e 's|@''REPLACE_FFLUSH''@|0|g' \
      -e 's|@''HAVE_DECL_GETDELIM''@|0|g' \
      -e 's|@''HAVE_DECL_GETLINE''@|0|g' \
      -e 's|@''REPLACE_GETLINE''@|1|g' \
      -e '/definition of GL_LINK_WARNING/r ../build-aux/link-warning.h' \
      < ./stdio.in.h; \
} > stdio.h-t
mv stdio.h-t stdio.h
rm -f stdlib.h-t stdlib.h
{ echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */' && \
  sed -e 's/@''INCLUDE_NEXT''@/include_next/g' \
      -e 's|@''NEXT_STDLIB_H''@|<stdlib.h>|g' \
      -e 's|@''GNULIB_MALLOC_POSIX''@|1|g' \
      -e 's|@''GNULIB_REALLOC_POSIX''@|1|g' \
      -e 's|@''GNULIB_CALLOC_POSIX''@|0|g' \
      -e 's|@''GNULIB_GETSUBOPT''@|0|g' \
      -e 's|@''GNULIB_MKDTEMP''@|1|g' \
      -e 's|@''GNULIB_MKSTEMP''@|0|g' \
      -e 's|@''GNULIB_PUTENV''@|0|g' \
      -e 's|@''GNULIB_SETENV''@|1|g' \
      -e 's|@''GNULIB_STRTOD''@|0|g' \
      -e 's|@''GNULIB_UNSETENV''@|1|g' \
      -e 's|@''HAVE_CALLOC_POSIX''@|1|g' \
      -e 's|@''HAVE_GETSUBOPT''@|1|g' \
      -e 's|@''HAVE_MALLOC_POSIX''@|0|g' \
      -e 's|@''HAVE_MKDTEMP''@|0|g' \
      -e 's|@''HAVE_REALLOC_POSIX''@|0|g' \
      -e 's|@''HAVE_SETENV''@|0|g' \
      -e 's|@''HAVE_STRTOD''@|1|g' \
      -e 's|@''HAVE_UNSETENV''@|0|g' \
      -e 's|@''REPLACE_MKSTEMP''@|0|g' \
      -e 's|@''REPLACE_PUTENV''@|0|g' \
      -e 's|@''REPLACE_STRTOD''@|0|g' \
      -e 's|@''VOID_UNSETENV''@|0|g' \
      -e '/definition of GL_LINK_WARNING/r ../build-aux/link-warning.h' \
      < ./stdlib.in.h; \
} > stdlib.h-t
mv stdlib.h-t stdlib.h
rm -f string.h-t string.h
{ echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */' && \
  sed -e 's/@''INCLUDE_NEXT''@/include_next/g' \
      -e 's|@''NEXT_STRING_H''@|<string.h>|g' \
      -e 's|@''GNULIB_MBSLEN''@|0|g' \
      -e 's|@''GNULIB_MBSNLEN''@|0|g' \
      -e 's|@''GNULIB_MBSCHR''@|0|g' \
      -e 's|@''GNULIB_MBSRCHR''@|0|g' \
      -e 's|@''GNULIB_MBSSTR''@|0|g' \
      -e 's|@''GNULIB_MBSCASECMP''@|1|g' \
      -e 's|@''GNULIB_MBSNCASECMP''@|0|g' \
      -e 's|@''GNULIB_MBSPCASECMP''@|0|g' \
      -e 's|@''GNULIB_MBSCASESTR''@|0|g' \
      -e 's|@''GNULIB_MBSCSPN''@|0|g' \
      -e 's|@''GNULIB_MBSPBRK''@|0|g' \
      -e 's|@''GNULIB_MBSSPN''@|0|g' \
      -e 's|@''GNULIB_MBSSEP''@|0|g' \
      -e 's|@''GNULIB_MBSTOK_R''@|0|g' \
      -e 's|@''GNULIB_MEMMEM''@|0|g' \
      -e 's|@''GNULIB_MEMPCPY''@|1|g' \
      -e 's|@''GNULIB_MEMRCHR''@|1|g' \
      -e 's|@''GNULIB_STPCPY''@|1|g' \
      -e 's|@''GNULIB_STPNCPY''@|0|g' \
      -e 's|@''GNULIB_STRCHRNUL''@|1|g' \
      -e 's|@''GNULIB_STRDUP''@|1|g' \
      -e 's|@''GNULIB_STRNDUP''@|1|g' \
      -e 's|@''GNULIB_STRNLEN''@|1|g' \
      -e 's|@''GNULIB_STRPBRK''@|0|g' \
      -e 's|@''GNULIB_STRSEP''@|0|g' \
      -e 's|@''GNULIB_STRSTR''@|0|g' \
      -e 's|@''GNULIB_STRCASESTR''@|0|g' \
      -e 's|@''GNULIB_STRTOK_R''@|0|g' \
      -e 's|@''GNULIB_STRERROR''@|1|g' \
      -e 's|@''GNULIB_STRSIGNAL''@|0|g' \
      -e 's|@''HAVE_DECL_MEMMEM''@|1|g' \
      -e 's|@''HAVE_MEMPCPY''@|0|g' \
      -e 's|@''HAVE_DECL_MEMRCHR''@|0|g' \
      -e 's|@''HAVE_STPCPY''@|0|g' \
      -e 's|@''HAVE_STPNCPY''@|1|g' \
      -e 's|@''HAVE_STRCHRNUL''@|0|g' \
      -e 's|@''HAVE_DECL_STRDUP''@|1|g' \
      -e 's|@''HAVE_STRNDUP''@|0|g' \
      -e 's|@''HAVE_DECL_STRNDUP''@|0|g' \
      -e 's|@''HAVE_DECL_STRNLEN''@|0|g' \
      -e 's|@''HAVE_STRPBRK''@|1|g' \
      -e 's|@''HAVE_STRSEP''@|1|g' \
      -e 's|@''HAVE_STRCASESTR''@|1|g' \
      -e 's|@''HAVE_DECL_STRTOK_R''@|1|g' \
      -e 's|@''HAVE_DECL_STRERROR''@|1|g' \
      -e 's|@''HAVE_DECL_STRSIGNAL''@|1|g' \
      -e 's|@''REPLACE_MEMMEM''@|0|g' \
      -e 's|@''REPLACE_STRCASESTR''@|0|g' \
      -e 's|@''REPLACE_STRSTR''@|0|g' \
      -e 's|@''REPLACE_STRERROR''@|0|g' \
      -e 's|@''REPLACE_STRSIGNAL''@|0|g' \
      -e '/definition of GL_LINK_WARNING/r ../build-aux/link-warning.h' \
      < ./string.in.h; \
} > string.h-t
mv string.h-t string.h
rm -f strings.h-t strings.h
{ echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */' && \
  sed -e 's/@''INCLUDE_NEXT''@/include_next/g' \
      -e 's|@''NEXT_STRINGS_H''@|<strings.h>|g' \
      -e 's|@''HAVE_STRCASECMP''@|1|g' \
      -e 's|@''HAVE_DECL_STRNCASECMP''@|1|g' \
      -e '/definition of GL_LINK_WARNING/r ../build-aux/link-warning.h' \
      < ./strings.in.h; \
} > strings.h-t
mv strings.h-t strings.h
/bin/mkdir -p sys
rm -f sys/stat.h-t sys/stat.h
{ echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */'; \
  sed -e 's/@''INCLUDE_NEXT''@/include_next/g' \
      -e 's|@''NEXT_SYS_STAT_H''@|<sys/stat.h>|g' \
      -e 's|@''HAVE_IO_H''@|1|g' \
      -e 's|@''HAVE_LSTAT''@|0|g' \
      -e 's|@''HAVE_DECL_MKDIR''@|0|g' \
      < ./sys_stat.in.h; \
} > sys/stat.h-t
mv sys/stat.h-t sys/stat.h
{ echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */'; \
  sed -e 's|@''HAVE_SYSEXITS_H''@|0|g' \
      -e 's/@''INCLUDE_NEXT''@/include_next/g' \
      -e 's|@''NEXT_SYSEXITS_H''@||g' \
      < ./sysexits.in.h; \
} > sysexits.h-t
mv -f sysexits.h-t sysexits.h
rm -f time.h-t time.h
{ echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */' && \
  sed -e 's/@''INCLUDE_NEXT''@/include_next/g' \
      -e 's|@NEXT_TIME_H''@|<time.h>|g' \
      -e 's|@REPLACE_LOCALTIME_R''@|1|g' \
      -e 's|@REPLACE_NANOSLEEP''@|GNULIB_PORTCHECK|g' \
      -e 's|@REPLACE_STRPTIME''@|GNULIB_PORTCHECK|g' \
      -e 's|@REPLACE_TIMEGM''@|GNULIB_PORTCHECK|g' \
      -e 's|@SYS_TIME_H_DEFINES_STRUCT_TIMESPEC''@|0|g' \
      -e 's|@TIME_H_DEFINES_STRUCT_TIMESPEC''@|0|g' \
      < ./time.in.h; \
} > time.h-t
mv time.h-t time.h
rm -f unistd.h-t unistd.h
{ echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */'; \
  sed -e 's|@''HAVE_UNISTD_H''@|1|g' \
      -e 's/@''INCLUDE_NEXT''@/include_next/g' \
      -e 's|@''NEXT_UNISTD_H''@|<unistd.h>|g' \
      -e 's|@''GNULIB_CHOWN''@|1|g' \
      -e 's|@''GNULIB_DUP2''@|1|g' \
      -e 's|@''GNULIB_ENVIRON''@|1|g' \
      -e 's|@''GNULIB_FCHDIR''@|1|g' \
      -e 's|@''GNULIB_FTRUNCATE''@|1|g' \
      -e 's|@''GNULIB_GETCWD''@|1|g' \
      -e 's|@''GNULIB_GETLOGIN_R''@|0|g' \
      -e 's|@''GNULIB_GETPAGESIZE''@|1|g' \
      -e 's|@''GNULIB_LCHOWN''@|1|g' \
      -e 's|@''GNULIB_LSEEK''@|1|g' \
      -e 's|@''GNULIB_READLINK''@|1|g' \
      -e 's|@''GNULIB_SLEEP''@|1|g' \
      -e 's|@''HAVE_DUP2''@|1|g' \
      -e 's|@''HAVE_FTRUNCATE''@|1|g' \
      -e 's|@''HAVE_GETPAGESIZE''@|1|g' \
      -e 's|@''HAVE_READLINK''@|0|g' \
      -e 's|@''HAVE_SLEEP''@|0|g' \
      -e 's|@''HAVE_DECL_ENVIRON''@|0|g' \
      -e 's|@''HAVE_DECL_GETLOGIN_R''@|1|g' \
      -e 's|@''HAVE_OS_H''@|0|g' \
      -e 's|@''HAVE_SYS_PARAM_H''@|0|g' \
      -e 's|@''REPLACE_CHOWN''@|1|g' \
      -e 's|@''REPLACE_FCHDIR''@|1|g' \
      -e 's|@''REPLACE_GETCWD''@|1|g' \
      -e 's|@''REPLACE_GETPAGESIZE''@|1|g' \
      -e 's|@''REPLACE_LCHOWN''@|1|g' \
      -e 's|@''REPLACE_LSEEK''@|1|g' \
      < ./unistd.in.h; \
} > unistd.h-t
mv unistd.h-t unistd.h
rm -f wchar.h-t wchar.h
{ echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */'; \
  sed -e 's/@''INCLUDE_NEXT''@/include_next/g' \
      -e 's|@''NEXT_WCHAR_H''@|<wchar.h>|g' \
      -e 's/@''HAVE_WCHAR_H''@/1/g' \
      -e 's|@''GNULIB_WCWIDTH''@|1|g' \
      -e 's|@''HAVE_DECL_WCWIDTH''@|0|g' \
      -e 's|@''REPLACE_WCWIDTH''@|1|g' \
      -e '/definition of GL_LINK_WARNING/r ../build-aux/link-warning.h' \
    < ./wchar.in.h; \
} > wchar.h-t
mv wchar.h-t wchar.h
rm -f rmt-command.h-t rmt-command.h
echo "#ifndef DEFAULT_RMT_COMMAND" >> rmt-command.h-t
echo "# define DEFAULT_RMT_COMMAND \"/usr/local/libexec/`echo rmt | sed 
's,x,x,'`.exe\"" >> rmt-command.h-t
echo "#endif" >> rmt-command.h-t
mv rmt-command.h-t rmt-command.h
make  install-am
make[2]: Entering directory `/tar-1.20/lib'
depbase=`echo argp-ba.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`;\
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..     -g -O2 -MT argp-ba.o -MD -MP -MF 
$depbase.Tpo -c -o argp-ba.o argp-ba.c &&\
mv -f $depbase.Tpo $depbase.Po
depbase=`echo argp-eexst.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`;\
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..     -g -O2 -MT argp-eexst.o -MD -MP -MF 
$depbase.Tpo -c -o argp-eexst.o argp-eexst.c &&\
mv -f $depbase.Tpo $depbase.Po
depbase=`echo argp-fmtstream.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`;\
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..     -g -O2 -MT argp-fmtstream.o -MD -MP 
-MF $depbase.Tpo -c -o argp-fmtstream.o argp-fmtstream.c &&\
mv -f $depbase.Tpo $depbase.Po
depbase=`echo argp-fs-xinl.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`;\
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..     -g -O2 -MT argp-fs-xinl.o -MD -MP 
-MF $depbase.Tpo -c -o argp-fs-xinl.o argp-fs-xinl.c &&\
mv -f $depbase.Tpo $depbase.Po
depbase=`echo argp-help.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`;\
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..     -g -O2 -MT argp-help.o -MD -MP -MF 
$depbase.Tpo -c -o argp-help.o argp-help.c &&\
mv -f $depbase.Tpo $depbase.Po
In file included from argp-help.c:50:
argp-fmtstream.h:132: warning: `libintl_printf' is an unrecognized format 
function type
argp-fmtstream.h:135: warning: `libintl_printf' is an unrecognized format 
function type
depbase=`echo argp-parse.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`;\
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..     -g -O2 -MT argp-parse.o -MD -MP -MF 
$depbase.Tpo -c -o argp-parse.o argp-parse.c &&\
mv -f $depbase.Tpo $depbase.Po
depbase=`echo argp-pin.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`;\
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..     -g -O2 -MT argp-pin.o -MD -MP -MF 
$depbase.Tpo -c -o argp-pin.o argp-pin.c &&\
mv -f $depbase.Tpo $depbase.Po
depbase=`echo argp-pv.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`;\
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..     -g -O2 -MT argp-pv.o -MD -MP -MF 
$depbase.Tpo -c -o argp-pv.o argp-pv.c &&\
mv -f $depbase.Tpo $depbase.Po
depbase=`echo argp-pvh.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`;\
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..     -g -O2 -MT argp-pvh.o -MD -MP -MF 
$depbase.Tpo -c -o argp-pvh.o argp-pvh.c &&\
mv -f $depbase.Tpo $depbase.Po
depbase=`echo argp-xinl.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`;\
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..     -g -O2 -MT argp-xinl.o -MD -MP -MF 
$depbase.Tpo -c -o argp-xinl.o argp-xinl.c &&\
mv -f $depbase.Tpo $depbase.Po
depbase=`echo full-write.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`;\
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..     -g -O2 -MT full-write.o -MD -MP -MF 
$depbase.Tpo -c -o full-write.o full-write.c &&\
mv -f $depbase.Tpo $depbase.Po
depbase=`echo getdate.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`;\
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..     -g -O2 -MT getdate.o -MD -MP -MF 
$depbase.Tpo -c -o getdate.o getdate.c &&\
mv -f $depbase.Tpo $depbase.Po
depbase=`echo localcharset.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`;\
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..     -g -O2 -MT localcharset.o -MD -MP 
-MF $depbase.Tpo -c -o localcharset.o localcharset.c &&\
mv -f $depbase.Tpo $depbase.Po
depbase=`echo malloca.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`;\
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..     -g -O2 -MT malloca.o -MD -MP -MF 
$depbase.Tpo -c -o malloca.o malloca.c &&\
mv -f $depbase.Tpo $depbase.Po
depbase=`echo mbchar.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`;\
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..     -g -O2 -MT mbchar.o -MD -MP -MF 
$depbase.Tpo -c -o mbchar.o mbchar.c &&\
mv -f $depbase.Tpo $depbase.Po
depbase=`echo mbscasecmp.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`;\
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..     -g -O2 -MT mbscasecmp.o -MD -MP -MF 
$depbase.Tpo -c -o mbscasecmp.o mbscasecmp.c &&\
mv -f $depbase.Tpo $depbase.Po
depbase=`echo openat-die.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`;\
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..     -g -O2 -MT openat-die.o -MD -MP -MF 
$depbase.Tpo -c -o openat-die.o openat-die.c &&\
mv -f $depbase.Tpo $depbase.Po
depbase=`echo strnlen1.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`;\
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..     -g -O2 -MT strnlen1.o -MD -MP -MF 
$depbase.Tpo -c -o strnlen1.o strnlen1.c &&\
mv -f $depbase.Tpo $depbase.Po
depbase=`echo uniwidth/width.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`;\
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..     -g -O2 -MT uniwidth/width.o -MD -MP 
-MF $depbase.Tpo -c -o uniwidth/width.o uniwidth/width.c &&\
mv -f $depbase.Tpo $depbase.Po
depbase=`echo version-etc.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`;\
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..     -g -O2 -MT version-etc.o -MD -MP 
-MF $depbase.Tpo -c -o version-etc.o version-etc.c &&\
mv -f $depbase.Tpo $depbase.Po
depbase=`echo version-etc-fsf.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`;\
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..     -g -O2 -MT version-etc-fsf.o -MD 
-MP -MF $depbase.Tpo -c -o version-etc-fsf.o version-etc-fsf.c &&\
mv -f $depbase.Tpo $depbase.Po
depbase=`echo xalloc-die.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`;\
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..     -g -O2 -MT xalloc-die.o -MD -MP -MF 
$depbase.Tpo -c -o xalloc-die.o xalloc-die.c &&\
mv -f $depbase.Tpo $depbase.Po
depbase=`echo xstrndup.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`;\
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..     -g -O2 -MT xstrndup.o -MD -MP -MF 
$depbase.Tpo -c -o xstrndup.o xstrndup.c &&\
mv -f $depbase.Tpo $depbase.Po
depbase=`echo xstrtoumax.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`;\
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..     -g -O2 -MT xstrtoumax.o -MD -MP -MF 
$depbase.Tpo -c -o xstrtoumax.o xstrtoumax.c &&\
mv -f $depbase.Tpo $depbase.Po
depbase=`echo paxerror.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`;\
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..     -g -O2 -MT paxerror.o -MD -MP -MF 
$depbase.Tpo -c -o paxerror.o paxerror.c &&\
mv -f $depbase.Tpo $depbase.Po
depbase=`echo paxexit.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`;\
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..     -g -O2 -MT paxexit.o -MD -MP -MF 
$depbase.Tpo -c -o paxexit.o paxexit.c &&\
mv -f $depbase.Tpo $depbase.Po
depbase=`echo paxnames.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`;\
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..     -g -O2 -MT paxnames.o -MD -MP -MF 
$depbase.Tpo -c -o paxnames.o paxnames.c &&\
mv -f $depbase.Tpo $depbase.Po
depbase=`echo prepargs.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`;\
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..     -g -O2 -MT prepargs.o -MD -MP -MF 
$depbase.Tpo -c -o prepargs.o prepargs.c &&\
mv -f $depbase.Tpo $depbase.Po
depbase=`echo rtapelib.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`;\
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..     -g -O2 -MT rtapelib.o -MD -MP -MF 
$depbase.Tpo -c -o rtapelib.o rtapelib.c &&\
mv -f $depbase.Tpo $depbase.Po
rtapelib.c: In function `do_command':
rtapelib.c:124: error: `SIGPIPE' undeclared (first use in this function)
rtapelib.c:124: error: (Each undeclared identifier is reported only once
rtapelib.c:124: error: for each function it appears in.)
rtapelib.c: In function `rmt_open__':
rtapelib.c:468: warning: implicit declaration of function `pipe'
rtapelib.c:477: warning: implicit declaration of function `fork'
rtapelib.c:500: warning: implicit declaration of function `setuid'
rtapelib.c:500: warning: implicit declaration of function `getuid'
rtapelib.c:500: warning: implicit declaration of function `setgid'
rtapelib.c:500: warning: implicit declaration of function `getgid'
rtapelib.c: In function `rmt_write__':
rtapelib.c:602: error: `SIGPIPE' undeclared (first use in this function)
make[2]: *** [rtapelib.o] Error 1
make[2]: Leaving directory `/tar-1.20/lib'
make[1]: *** [install] Error 2
make[1]: Leaving directory `/tar-1.20/lib'
make: *** [install-recursive] Error 1

reply via email to

[Prev in Thread] Current Thread [Next in Thread]